!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 09:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3139) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3138) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3131) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3130) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_3137) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_3045) = cima*ee
    coupl(nGC_3188) = -cima*ee
    coupl(nGC_3186) = -2d0*cima*ee/3d0
    coupl(nGC_GG) = cima*dt/vev
    coupl(nGC_3181) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3498) = cima*dyc_QED1
    coupl(nGC_3504) = -cima*dyb_QED1
    coupl(nGC_3500) = -cima*dys_QED1_QCD2
    coupl(nGC_3501) = -cima*dys_QED1
    coupl(nGC_3182) = cima*ee/3d0
    coupl(nGC_3183) = cima*ee/(2d0*sw)
    coupl(nGC_3184) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_GGH) = -cima*dt/vev**2d0
    coupl(nGC_3164) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3165) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3166) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3167) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3160) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3161) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3162) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3163) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_3168) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3169) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3485) = coupl(nGC_3137)*dZee + coupl(nGC_3138)*dsw_ + coupl(     &
                      nGC_3139)*dcw_
    coupl(nGC_3482) = coupl(nGC_3182)*dZee
    coupl(nGC_3070) = 4d0*cima*ee**2d0
    coupl(nGC_3451) = coupl(nGC_3162)*dsw_ + coupl(nGC_3163)*dMW2 + coupl(     &
                      nGC_3164)*dZee + coupl(nGC_3165)*dcw_
    coupl(nGC_3455) = coupl(nGC_3166)*dZee + coupl(nGC_3167)*dsw_ + coupl(     &
                      nGC_3168)*dMZ2 + coupl(nGC_3169)*dcw_
    coupl(nGC_3135) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3134) = cima*ee/(3d0*cw)
    coupl(nGC_3542) = coupl(nGC_3044)*dyup_QED1
    coupl(nGC_5081) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_3569) = -cima*dMT
    coupl(nGC_6131) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6132) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_3054) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_3056) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_3057) = -cima*ee**2d0*vev/sw
    coupl(nGC_3050) = -cima*ee**2d0*vev/cw
    coupl(nGC_3051) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_3053) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3180) = -cima*ee/(2d0*sw)
    coupl(nGC_6343) = coupl(nGC_3504) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53)*&
                      dZtL/2d0
    coupl(nGC_5481) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_5480) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_5483) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_5242) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_3212) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_3481) = coupl(nGC_3186)*dZee
    coupl(nGC_4943) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_3482)
    coupl(nGC_3573) = -cima*dMS_QCD2
    coupl(nGC_3572) = -cima*dMS_QED2
    coupl(nGC_3576) = cima*dMW2
    coupl(nGC_3575) = cima*dMZ2
    coupl(nGC_3574) = -cima*dMB
    coupl(nGC_3476) = coupl(nGC_3050)*dZee + coupl(nGC_3051)*dcw_ + coupl(     &
                      nGC_3052)*dvev_QEDM1
    coupl(nGC_5335) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_3272) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3278) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3151) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_5773) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_3153) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3152) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3155) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3154) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3156) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3405) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      48d0*pi**2d0*Nc)
    coupl(nGC_3404) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(48d0&
                      *pi**2d0)
    coupl(nGC_3401) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 32d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3400) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 32d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_HHHH) = -3d0*cima*dt/vev**3d0
    coupl(nGC_3175) = cima*ee**2d0/sw**2d0
    coupl(nGC_3081) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3080) = -ee**2d0/cw
    coupl(nGC_3089) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3494) = cima*dyup_QED1_QCD2
    coupl(nGC_3495) = cima*dyup_QED1
    coupl(nGC_3496) = cima*dyup_QED3
    coupl(nGC_3497) = cima*dyc_QED1_QCD2
    coupl(nGC_3491) = -cima*dydo_QED1_QCD2
    coupl(nGC_3492) = -cima*dydo_QED1
    coupl(nGC_5360) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_3071) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_5482) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_3219) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4980) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_3481)
    coupl(nGC_4867) = coupl(nGC_55)*(dZbL + dZbR)/2d0
    coupl(nGC_3440) = coupl(nGC_3136)*dZgs_QCD2
    coupl(nGC_3447) = coupl(nGC_3045)*dZee
    coupl(nGC_3416) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(96d0*pi**2d0)
    coupl(nGC_3417) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(48d0*pi**2d0*Nc)
    coupl(nGC_3441) = coupl(nGC_3188)*dZee
    coupl(nGC_3410) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3411) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(24d0*pi**2d0*Nc)
    coupl(nGC_3115) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3114) = ee**2d0/sw
    coupl(nGC_3117) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3116) = -cima*ee**2d0/sw
    coupl(nGC_3111) = cima*ee/sw
    coupl(nGC_3110) = -cima*cw*ee/sw**2d0
    coupl(nGC_3113) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3112) = -ee**2d0/sw
    coupl(nGC_3119) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3118) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_3528) = -cima*dytau_QED1
    coupl(nGC_3299) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3524) = coupl(nGC_3087)*dys_QED3
    coupl(nGC_3526) = -cima*dye_QED1
    coupl(nGC_3522) = coupl(nGC_3087)*dys_QED1_QCD2
    coupl(nGC_3523) = coupl(nGC_3087)*dys_QED1
    coupl(nGC_3159) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt/vev**3d0
    coupl(nGC_3571) = -cima*dMD_QCD2
    coupl(nGC_3061) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_5322) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_3570) = -cima*dMD_QED2
    coupl(nGC_3157) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3527) = -cima*dym_QED1
    coupl(nGC_3470) = coupl(nGC_3053)*dsw_ + coupl(nGC_3054)*dZee + coupl(     &
                      nGC_3055)*dvev_QEDM1
    coupl(nGC_3471) = coupl(nGC_3159)*dZee + coupl(nGC_3160)*dsw_ + coupl(     &
                      nGC_3161)*dcw_
    coupl(nGC_152) = 1d0/(2d0*cMZ)
    coupl(nGC_5556) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5555) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_5496) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_5541) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_5841) = coupl(nGC_I)*dZH
    coupl(nGC_5197) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_6079) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_6078) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_6077) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_6076) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_HHGG) = -cima*dt/vev**3d0
    coupl(nGC_4958) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_4819) = coupl(nGC_3497) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_3132) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_3560) = -cima*dMH2
    coupl(nGC_3562) = -cima*dME
    coupl(nGC_3563) = -cima*dMM
    coupl(nGC_3564) = -cima*dMTA
    coupl(nGC_3565) = -cima*dMU_QED2
    coupl(nGC_3566) = -cima*dMU_QCD2
    coupl(nGC_3567) = -cima*dMC_QED2
    coupl(nGC_3568) = -cima*dMC_QCD2
    coupl(nGC_3544) = coupl(nGC_3068)*dyc_QED1_QCD2
    coupl(nGC_3392) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3233) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3395) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3245) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3418) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(24d0*pi**2d0*Nc**2d0)
    coupl(nGC_3148) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3149) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3147) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3144) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3145) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3142) = -cima*ee*sw/cw**2d0
    coupl(nGC_3143) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3140) = cima*ee*sw/cw
    coupl(nGC_3141) = cima*ee/cw
    coupl(nGC_3092) = cima*ee/(2d0*cMW)
    coupl(nGC_3093) = cMW*cima*ee
    coupl(nGC_3095) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_3096) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3098) = ee/(2d0*sw)
    coupl(nGC_3099) = -ee/(2d0*sw**2d0)
    coupl(nGC_3100) = ee**2d0/cw
    coupl(nGC_3493) = -cima*dydo_QED3
    coupl(nGC_3222) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMC**2d0 + cMD**2d0 +  &
                      cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3332) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5212) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3441)
    coupl(nGC_5213) = -coupl(nGC_5212)
    coupl(nGC_5216) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_5217) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_3101) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_5320) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_5772) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6852) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_3060) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_5353) = coupl(nGC_3447) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*  &
                      dZZA/2d0
    coupl(nGC_5857) = coupl(nGC_3576) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_3062) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3220) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 8d0*coupl(    &
                      nGC_11)**2d0)/(192d0*pi**2d0)
    coupl(nGC_4854) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_4850) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_4853) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_5595) = coupl(nGC_3470) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_3104) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3358) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3356) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +     &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_53)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3351) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3150) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3329) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3106) = -cima*cw*ee/sw
    coupl(nGC_3107) = cima*cw*ee/sw**2d0
    coupl(nGC_3105) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3458) = -cima*dlam_QED2
    coupl(nGC_3459) = coupl(nGC_3046)*dlam_QED2 + coupl(nGC_3047)*dvev_QEDM1
    coupl(nGC_3108) = -cima*ee/sw
    coupl(nGC_3109) = cima*cw*ee/sw
    coupl(nGC_3452) = coupl(nGC_3106)*dZee + coupl(nGC_3107)*dsw_ + coupl(     &
                      nGC_3108)*dcw_
    coupl(nGC_3518) = coupl(nGC_3064)*dyb_QED1
    coupl(nGC_3158) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3511) = coupl(nGC_3085)*dys_QED1_QCD2
    coupl(nGC_3510) = coupl(nGC_3069)*dydo_QED3
    coupl(nGC_3513) = coupl(nGC_3085)*dys_QED3
    coupl(nGC_3512) = coupl(nGC_3085)*dys_QED1
    coupl(nGC_3517) = coupl(nGC_3059)*dyb_QED1
    coupl(nGC_5170) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_9750) = -coupl(nGC_3400)
    coupl(nGC_5074) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_5076) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_3216) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3217) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3214) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3215) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3199) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_348)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_3198) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - coupl(nGC_348)**2d0 - 4d0*coupl&
                      (nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3210) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3211) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3412) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*coupl&
                      (nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(48d0*pi**2d0)
    coupl(nGC_3191) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3190) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_38)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3177) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3176) = -cima*ee**2d0/sw**3d0
    coupl(nGC_7297) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_3174) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3173) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3172) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_3079) = 2d0*cima*ee**2d0
    coupl(nGC_3072) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3073) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3179) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3178) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_3128) = ee/(4d0*cMW*sw)
    coupl(nGC_3543) = coupl(nGC_3044)*dyup_QED3
    coupl(nGC_3129) = cMW*ee/(2d0*sw)
    coupl(nGC_5316) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_4931) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_3540) = coupl(nGC_3185)*dyup_QED3
    coupl(nGC_3287) = (-coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_57) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(nGC_1064)*coupl&
                      (nGC_38)*coupl(nGC_57) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_59) -    &
                      coupl(nGC_23)*coupl(nGC_58)*coupl(nGC_602) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(nGC_35)*coupl&
                      (nGC_40)*coupl(nGC_57) - coupl(nGC_58)*coupl(nGC_73)*    &
                      coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*coupl(nGC_75 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5828) = -coupl(nGC_5353)
    coupl(nGC_3413) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*coupl&
                      (nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(48d0*pi**2d0*Nc)
    coupl(nGC_3538) = coupl(nGC_3185)*dyup_QED1_QCD2
    coupl(nGC_5540) = coupl(nGC_2)*dZuL_QED2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
