!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 09:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 660, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 274, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 873, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 286, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 339, check)
    call createCurrent(P_G0, P_H, P_A, 1076, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 870, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 323, check)
    call createCurrent(P_t, P_tAnti, P_A, 973, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 734, check)
    call createCurrent(P_H, P_t, P_tAnti, 766, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 974, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 5, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 541, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 774, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 427, check)
    call createCurrent(P_tAnti, P_t, P_Z, 750, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 560, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 513, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 55, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 132, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 822, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 99, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 1023, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1114, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 997, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 756, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 652, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 720, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 799, check)
    call createCurrent(P_muPlus, P_muMinus, 1058, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 692, check)
    call createCurrent(P_bAnti, P_b, P_Z, 801, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 636, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 752, check)
    call createCurrent(P_G0, P_uAnti, P_u, 163, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 559, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 332, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 614, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 881, check)
    call createCurrent(P_s, P_sAnti, P_H, 946, check)
    call createCurrent(P_t, P_tAnti, P_G0, 1006, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1193, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1148, check)
    call createCurrent(P_H, P_G0, P_G0, 250, check)
    call createCurrent(P_c, P_G0, P_cAnti, 837, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 146, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 811, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 84, check)
    call createCurrent(P_A, P_uAnti, P_u, 494, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 289, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 265, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 293, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 501, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1196, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 387, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 342, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 465, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 368, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 23, check)
    call createCurrent(P_H, P_H, 1059, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1163, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 689, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 945, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 214, check)
    call createCurrent(P_d, P_A, P_dAnti, 1032, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 402, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 566, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 547, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 259, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 434, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 396, check)
    call createCurrent(P_d, P_Z, P_dAnti, 675, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 275, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 602, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 80, check)
    call createCurrent(P_A, P_dAnti, P_d, 19, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 984, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 169, check)
    call createCurrent(P_Z, P_u, P_uAnti, 651, check)
    call createCurrent(P_sAnti, P_s, 1109, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 936, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 1008, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 572, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 703, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 778, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 683, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 654, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 517, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 647, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 699, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 586, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 758, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 67, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 579, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 36, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 839, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 347, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 757, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1107, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 481, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1119, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 620, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 9, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 673, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1176, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 791, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 319, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1202, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 667, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 771, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 167, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 865, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 943, check)
    call createCurrent(P_dAnti, P_d, 1096, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 109, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 478, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 239, check)
    call createCurrent(P_u, P_uAnti, P_G0, 423, check)
    call createCurrent(P_s, P_A, P_sAnti, 640, check)
    call createCurrent(P_g, P_H, P_g, 1164, check)
    call createCurrent(P_GMinus, P_GPlus, 1065, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 653, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 488, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 735, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1187, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1182, check)
    call createCurrent(P_t, P_G0, P_tAnti, 510, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1038, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 743, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 54, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 868, check)
    call createCurrent(P_H, P_G0, P_A, 1037, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 612, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 595, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1040, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 211, check)
    call createCurrent(P_cAnti, P_g, P_c, 864, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 519, check)
    call createCurrent(P_A, P_cAnti, P_c, 27, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 189, check)
    call createCurrent(P_G0, P_H, P_Z, 70, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 65, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 780, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 477, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1048, check)
    call createCurrent(P_Z, P_c, P_cAnti, 1015, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 395, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1093, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 202, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 835, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 772, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 416, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1102, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 693, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 540, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1082, check)
    call createCurrent(P_GPlus, P_GMinus, 1129, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1172, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 454, check)
    call createCurrent(P_t, P_H, P_tAnti, 484, check)
    call createCurrent(P_cAnti, P_A, P_c, 440, check)
    call createCurrent(P_g, P_g, P_H, 1177, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 480, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 283, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 354, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 972, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 379, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 248, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 161, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 361, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 243, check)
    call createCurrent(P_uAnti, P_u, P_H, 851, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 568, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 719, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 58, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 786, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1126, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 485, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 989, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 884, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 102, check)
    call createCurrent(P_t, P_Z, P_tAnti, 184, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 411, check)
    call createCurrent(P_G0, P_dAnti, P_d, 609, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 594, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1161, check)
    call createCurrent(P_s, P_Z, P_sAnti, 711, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 578, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 934, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 982, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 721, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 789, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 832, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 506, check)
    call createCurrent(P_H, P_cAnti, P_c, 124, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 120, check)
    call createCurrent(P_bAnti, P_b, P_G0, 590, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 182, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 593, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 565, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 234, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 193, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 666, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1039, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 749, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 848, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 320, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 447, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 596, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 96, check)
    call createCurrent(P_G0, P_u, P_uAnti, 188, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 960, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 126, check)
    call createCurrent(P_c, P_cAnti, P_Z, 966, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 39, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 1026, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 106, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 287, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 944, check)
    call createCurrent(P_u, P_A, P_uAnti, 964, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 805, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 119, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 192, check)
    call createCurrent(P_H, P_g, P_g, 1159, check)
    call createCurrent(P_uAnti, P_G0, P_u, 875, check)
    call createCurrent(P_A, P_u, P_uAnti, 141, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 155, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 617, check)
    call createCurrent(P_G0, P_c, P_cAnti, 525, check)
    call createCurrent(P_g, P_c, P_cAnti, 581, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1136, check)
    call createCurrent(P_dAnti, P_d, P_Z, 508, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 905, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 856, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 88, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 583, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 962, check)
    call createCurrent(P_b, P_bAnti, P_G0, 532, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 969, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 696, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 298, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 375, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 135, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1198, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 895, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 836, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 62, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 425, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 504, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 744, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 281, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1041, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1191, check)
    call createCurrent(P_H, P_uAnti, P_u, 290, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 939, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 698, check)
    call createCurrent(P_Z, P_G0, P_H, 637, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 479, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 907, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 406, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 47, check)
    call createCurrent(P_A, P_A, P_H, 1183, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 763, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 282, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 2, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 935, check)
    call createCurrent(P_t, P_tAnti, P_H, 226, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1204, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 728, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 235, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 179, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1063, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 482, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 985, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 1000, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 785, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 208, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 843, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 97, check)
    call createCurrent(P_sAnti, P_s, P_H, 111, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 994, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 371, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 857, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 775, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 12, check)
    call createCurrent(P_dAnti, P_d, P_A, 788, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 827, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 522, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 389, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 920, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 616, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 633, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 598, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 709, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 587, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 32, check)
    call createCurrent(P_s, P_H, P_sAnti, 1005, check)
    call createCurrent(P_G0, P_A, P_H, 1081, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 815, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 364, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 314, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 603, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 230, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 11, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 220, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 521, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 268, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 252, check)
    call createCurrent(P_dAnti, P_g, P_d, 409, check)
    call createCurrent(P_u, P_uAnti, P_Z, 210, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1103, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 94, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 66, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 668, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 450, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1054, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 671, check)
    call createCurrent(P_c, P_cAnti, P_A, 26, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 710, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 50, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 373, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 246, check)
    call createCurrent(P_sAnti, P_s, P_A, 299, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 821, check)
    call createCurrent(P_s, P_sAnti, 1051, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 422, check)
    call createCurrent(P_G0, P_Z, 1124, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 344, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 573, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 384, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1206, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 810, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 1025, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 89, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 866, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1168, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 802, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 534, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 385, check)
    call createCurrent(P_g, P_sAnti, P_s, 737, check)
    call createCurrent(P_tAnti, P_t, P_A, 185, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 600, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1085, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 376, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 452, check)
    call createCurrent(P_u, P_uAnti, P_H, 680, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 165, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1160, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 567, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 681, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1077, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 623, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 154, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 1035, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 59, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1171, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 468, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 338, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 464, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 152, check)
    call createCurrent(P_G0, P_bAnti, P_b, 400, check)
    call createCurrent(P_A, P_d, P_dAnti, 136, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 787, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 223, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1149, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 470, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 800, check)
    call createCurrent(P_cAnti, P_c, P_g, 105, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 515, check)
    call createCurrent(P_H, P_H, P_H, 25, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1116, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 381, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 194, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 203, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 41, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 954, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 953, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 808, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 428, check)
    call createCurrent(P_d, P_dAnti, P_g, 78, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 588, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 874, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 415, check)
    call createCurrent(P_uAnti, P_u, 1068, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 405, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1178, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 467, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 197, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 471, check)
    call createCurrent(P_A, P_sAnti, P_s, 22, check)
    call createCurrent(P_tAnti, P_t, P_H, 399, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 77, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 816, check)
    call createCurrent(P_sAnti, P_A, P_s, 172, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 130, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1158, check)
    call createCurrent(P_sAnti, P_g, P_s, 662, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 157, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 272, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 1021, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 204, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 222, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1141, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1205, check)
    call createCurrent(P_Z, P_b, P_bAnti, 697, check)
    call createCurrent(P_d, P_dAnti, P_Z, 87, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 733, check)
    call createCurrent(P_dAnti, P_H, P_d, 162, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1118, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 741, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 458, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 216, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1117, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 604, check)
    call createCurrent(P_u, P_H, P_uAnti, 366, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1190, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 902, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1139, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 56, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1089, check)
    call createCurrent(P_Z, P_dAnti, P_d, 803, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1200, check)
    call createCurrent(P_GPlus, P_WMinus, 1042, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 926, check)
    call createCurrent(P_tAnti, P_H, P_t, 433, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 328, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1143, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1091, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 117, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 679, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 853, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 349, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 475, check)
    call createCurrent(P_c, P_g, P_cAnti, 576, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 17, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 991, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 495, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 168, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 764, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1075, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 104, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 963, check)
    call createCurrent(P_uAnti, P_u, P_g, 536, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 509, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1167, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 723, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 413, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 1033, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 53, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 461, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 260, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 486, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 1031, check)
    call createCurrent(P_s, P_g, P_sAnti, 350, check)
    call createCurrent(P_tAnti, P_t, 1064, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 134, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 150, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 795, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 255, check)
    call createCurrent(P_sAnti, P_H, P_s, 500, check)
    call createCurrent(P_sAnti, P_G0, P_s, 613, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 961, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1009, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1055, check)
    call createCurrent(P_dAnti, P_Z, P_d, 61, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 42, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 846, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 931, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 483, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1186, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 726, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 174, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 1034, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 807, check)
    call createCurrent(P_Z, P_s, P_sAnti, 928, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 1019, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 436, check)
    call createCurrent(P_b, P_bAnti, P_A, 340, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 929, check)
    call createCurrent(P_A, P_G0, 1099, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 845, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 356, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 649, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 606, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 44, check)
    call createCurrent(P_uAnti, P_u, P_G0, 687, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 861, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 813, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1132, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 382, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 63, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 738, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 118, check)
    call createCurrent(P_g, P_g, P_g, P_g, 796, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 965, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 302, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 533, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1165, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1142, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 981, check)
    call createCurrent(P_A, P_H, P_G0, 1097, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 4, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 577, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 308, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 48, check)
    call createCurrent(P_uAnti, P_A, P_u, 952, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1150, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1179, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 921, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 970, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 503, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 266, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 714, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1166, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 311, check)
    call createCurrent(P_G0, P_H, P_G0, 715, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1049, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 557, check)
    call createCurrent(P_Z, P_bAnti, P_b, 1007, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1112, check)
    call createCurrent(P_uAnti, P_H, P_u, 753, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 386, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 309, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 922, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 456, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 949, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1207, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1108, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 716, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 242, check)
    call createCurrent(P_H, P_d, P_dAnti, 247, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 445, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 746, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 736, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 632, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 1013, check)
    call createCurrent(P_c, P_cAnti, P_G0, 245, check)
    call createCurrent(P_Z, P_uAnti, P_u, 655, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 45, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 463, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 457, check)
    call createCurrent(P_A, P_Z, 1053, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1130, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 910, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 850, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 173, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 925, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 1022, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 731, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 840, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 383, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 912, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 708, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 730, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 264, check)
    call createCurrent(P_g, P_g, 1069, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 360, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 550, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 592, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 206, check)
    call createCurrent(P_G0, P_t, P_tAnti, 303, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 642, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 745, check)
    call createCurrent(P_cAnti, P_c, P_G0, 40, check)
    call createCurrent(P_dAnti, P_d, P_g, 852, check)
    call createCurrent(P_Z, P_Z, P_H, 814, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 630, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 893, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 116, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 903, check)
    call createCurrent(P_b, P_Z, P_bAnti, 930, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 476, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 279, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 530, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 535, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 284, check)
    call createCurrent(P_u, P_uAnti, 1056, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 988, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1194, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 913, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 209, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 95, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 498, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 979, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 101, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 359, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 131, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 98, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 304, check)
    call createCurrent(P_Z, P_Z, 1100, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 43, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1156, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 917, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 273, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1162, check)
    call createCurrent(P_uAnti, P_Z, P_u, 489, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 113, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 948, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 93, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 706, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 297, check)
    call createCurrent(P_g, P_uAnti, P_u, 859, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 377, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 251, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 497, check)
    call createCurrent(P_H, P_Z, P_Z, 937, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 1003, check)
    call createCurrent(P_d, P_dAnti, 1087, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 426, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1134, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1153, check)
    call createCurrent(P_c, P_Z, P_cAnti, 992, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 860, check)
    call createCurrent(P_Z, P_sAnti, P_s, 14, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 144, check)
    call createCurrent(P_G0, P_b, P_bAnti, 584, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 829, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 729, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 759, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 544, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 103, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 487, check)
    call createCurrent(P_H, P_G0, P_Z, 380, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 357, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 607, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 556, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 793, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 170, check)
    call createCurrent(P_sAnti, P_s, P_Z, 20, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 278, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 187, check)
    call createCurrent(P_WMinus, P_GPlus, 1050, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 369, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 236, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 3, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 430, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 346, check)
    call createCurrent(P_WMinus, P_WPlus, 1060, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 867, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1180, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 977, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 142, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 882, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 31, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 916, check)
    call createCurrent(P_A, P_G0, P_H, 1079, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 643, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1188, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 148, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 545, check)
    call createCurrent(P_G0, P_d, P_dAnti, 1020, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 804, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 336, check)
    call createCurrent(P_bAnti, P_G0, P_b, 622, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 950, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1071, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 249, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 35, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 933, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 145, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 410, check)
    call createCurrent(P_H, P_Z, P_G0, 446, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 635, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 518, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1061, check)
    call createCurrent(P_c, P_cAnti, P_H, 514, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 21, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 1010, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 352, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1074, check)
    call createCurrent(P_H, P_H, P_H, P_H, 520, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 768, check)
    call createCurrent(P_Z, P_cAnti, P_c, 571, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 996, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 569, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 240, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1125, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 363, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 408, check)
    call createCurrent(P_bAnti, P_Z, P_b, 355, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 198, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 724, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1057, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 372, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 398, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 76, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 280, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 122, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 512, check)
    call createCurrent(P_cAnti, P_H, P_c, 492, check)
    call createCurrent(P_d, P_dAnti, P_A, 30, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 597, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 1002, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 374, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 460, check)
    call createCurrent(P_G0, P_G0, P_H, 176, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 748, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 16, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 107, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 956, check)
    call createCurrent(P_cAnti, P_c, P_A, 927, check)
    call createCurrent(P_eMinus, P_ePlus, 1090, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 824, check)
    call createCurrent(P_u, P_uAnti, P_A, 505, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 725, check)
    call createCurrent(P_c, P_cAnti, 1070, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 688, check)
    call createCurrent(P_H, P_A, P_Z, 1106, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 878, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 615, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 669, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 466, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 10, check)
    call createCurrent(P_s, P_sAnti, P_Z, 1001, check)
    call createCurrent(P_WPlus, P_WMinus, 1101, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 166, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 388, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 285, check)
    call createCurrent(P_bAnti, P_H, P_b, 8, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1084, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 85, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1185, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 151, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 401, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 362, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 469, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1052, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 900, check)
    call createCurrent(P_g, P_s, P_sAnti, 262, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 158, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 644, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 378, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 307, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 892, check)
    call createCurrent(P_b, P_bAnti, 1110, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 700, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 164, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 33, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1131, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 444, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 397, check)
    call createCurrent(P_t, P_tAnti, 1067, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 562, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 196, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 670, check)
    call createCurrent(P_c, P_A, P_cAnti, 1018, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 947, check)
    call createCurrent(P_cAnti, P_c, 1127, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 546, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 337, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 674, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 82, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 580, check)
    call createCurrent(P_dAnti, P_d, P_H, 261, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 18, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 863, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 474, check)
    call createCurrent(P_d, P_G0, P_dAnti, 625, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 705, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 773, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 306, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 1012, check)
    call createCurrent(P_A, P_H, P_A, 1135, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 219, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 276, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 551, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 256, check)
    call createCurrent(P_Z, P_A, P_H, 1073, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 967, check)
    call createCurrent(P_bAnti, P_b, 1115, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 49, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 531, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1123, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 740, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1144, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 412, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 542, check)
    call createCurrent(P_Z, P_H, P_Z, 175, check)
    call createCurrent(P_tAnti, P_G0, P_t, 543, check)
    call createCurrent(P_A, P_tAnti, P_t, 880, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 828, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 732, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 890, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 74, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 37, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 335, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 455, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 392, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 227, check)
    call createCurrent(P_tAnti, P_Z, P_t, 554, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 201, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 919, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 318, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 224, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 621, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 885, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 71, check)
    call createCurrent(P_Z, P_d, P_dAnti, 233, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 241, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 270, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 645, check)
    call createCurrent(P_d, P_dAnti, P_H, 143, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 820, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 438, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1137, check)
    call createCurrent(P_b, P_bAnti, P_Z, 656, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 215, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 139, check)
    call createCurrent(P_g, P_d, P_dAnti, 110, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 316, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 739, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 575, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 702, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1173, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 924, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1145, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 127, check)
    call createCurrent(P_A, P_s, P_sAnti, 549, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 770, check)
    call createCurrent(P_b, P_A, P_bAnti, 228, check)
    call createCurrent(P_H, P_sAnti, P_s, 901, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 610, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 978, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 896, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 899, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 418, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1138, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 72, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 941, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 493, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 462, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 747, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 862, check)
    call createCurrent(P_A, P_H, P_Z, 1072, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 794, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 869, check)
    call createCurrent(P_d, P_g, P_dAnti, 707, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 1, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 225, check)
    call createCurrent(P_H, P_tAnti, P_t, 938, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1152, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 999, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 178, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 419, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1154, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1192, check)
    call createCurrent(P_sAnti, P_Z, P_s, 742, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 858, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 685, check)
    call createCurrent(P_A, P_Z, P_H, 1046, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1028, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 755, check)
    call createCurrent(P_GMinus, P_WPlus, 1078, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 887, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 491, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 713, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 327, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 390, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 639, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 601, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 831, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 909, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 472, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 325, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 490, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 52, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 968, check)
    call createCurrent(P_s, P_sAnti, P_G0, 305, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 628, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1147, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 367, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 561, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 717, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 886, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 783, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 160, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 776, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 760, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 51, check)
    call createCurrent(P_dAnti, P_A, P_d, 253, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 676, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 792, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 330, check)
    call createCurrent(P_A, P_t, P_tAnti, 140, check)
    call createCurrent(P_G0, P_tAnti, P_t, 650, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 761, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 365, check)
    call createCurrent(P_b, P_G0, P_bAnti, 334, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 883, check)
    call createCurrent(P_Z, P_tAnti, P_t, 784, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 404, check)
    call createCurrent(P_G0, P_G0, 1066, check)
    call createCurrent(P_A, P_b, P_bAnti, 341, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 894, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 608, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 659, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1045, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 424, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 75, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 682, check)
    call createCurrent(P_Z, P_t, P_tAnti, 73, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 844, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 879, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 959, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 826, check)
    call createCurrent(P_c, P_H, P_cAnti, 570, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 872, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 288, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 414, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 321, check)
    call createCurrent(P_sAnti, P_s, P_g, 942, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 271, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 727, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 1016, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 891, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 1030, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 555, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 300, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 1029, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 177, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1140, check)
    call createCurrent(P_bAnti, P_A, P_b, 940, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1083, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 591, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 156, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1184, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 990, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1105, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 877, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 60, check)
    call createCurrent(P_g, P_cAnti, P_c, 678, check)
    call createCurrent(P_d, P_H, P_dAnti, 301, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 975, check)
    call createCurrent(P_u, P_g, P_uAnti, 181, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 200, check)
    call createCurrent(P_Z, P_H, P_A, 1120, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 841, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 898, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 125, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 842, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1098, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 453, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 998, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 68, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1170, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 537, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 833, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 348, check)
    call createCurrent(P_sAnti, P_s, P_G0, 911, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 448, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 191, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 631, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 818, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 108, check)
    call createCurrent(P_c, P_cAnti, P_g, 7, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 983, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 190, check)
    call createCurrent(P_u, P_G0, P_uAnti, 589, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 137, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 407, check)
    call createCurrent(P_g, P_u, P_uAnti, 798, check)
    call createCurrent(P_H, P_bAnti, P_b, 370, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 123, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 435, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 254, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 971, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 528, check)
    call createCurrent(P_uAnti, P_u, P_Z, 296, check)
    call createCurrent(P_G0, P_cAnti, P_c, 663, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 121, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 312, check)
    call createCurrent(P_dAnti, P_G0, P_d, 993, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 212, check)
    call createCurrent(P_G0, P_sAnti, P_s, 511, check)
    call createCurrent(P_cAnti, P_Z, P_c, 769, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 904, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 91, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 231, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 995, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 754, check)
    call createCurrent(P_H, P_dAnti, P_d, 263, check)
    call createCurrent(P_g, P_g, P_g, 403, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 1017, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 523, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 267, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 619, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 324, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 294, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 1027, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 817, check)
    call createCurrent(P_H, P_u, P_uAnti, 128, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 690, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 232, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 664, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 79, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 751, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 657, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1199, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 987, check)
    call createCurrent(P_H, P_A, P_G0, 1095, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 183, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1157, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 777, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 914, check)
    call createCurrent(P_H, P_s, P_sAnti, 646, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 138, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 310, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 809, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 781, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 133, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 976, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 29, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 199, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 6, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 451, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 502, check)
    call createCurrent(P_uAnti, P_u, P_A, 585, check)
    call createCurrent(P_g, P_dAnti, P_d, 358, check)
    call createCurrent(P_d, P_dAnti, P_G0, 908, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 558, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 69, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 437, check)
    call createCurrent(P_A, P_c, P_cAnti, 958, check)
    call createCurrent(P_bAnti, P_b, P_H, 955, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 221, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 171, check)
    call createCurrent(P_A, P_bAnti, P_b, 553, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 115, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 46, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 429, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 564, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1094, check)
    call createCurrent(P_b, P_bAnti, P_H, 790, check)
    call createCurrent(P_t, P_A, P_tAnti, 317, check)
    call createCurrent(P_ePlus, P_eMinus, 1122, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1146, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 797, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 767, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 394, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 442, check)
    call createCurrent(P_G0, P_Z, P_H, 329, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 915, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1151, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1197, check)
    call createCurrent(P_cAnti, P_c, P_Z, 624, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 353, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 238, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 527, check)
    call createCurrent(P_Z, P_A, 1047, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 516, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 980, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 421, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 81, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 605, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 701, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 834, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 507, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 432, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 897, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 313, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 322, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1174, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 331, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 812, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 641, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 694, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 291, check)
    call createCurrent(P_bAnti, P_b, P_A, 417, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 574, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 149, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 626, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 599, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 459, check)
    call createCurrent(P_muMinus, P_muPlus, 1088, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 526, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 229, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 849, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 195, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 634, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 112, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 277, check)
    call createCurrent(P_t, P_tAnti, P_Z, 661, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1175, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 765, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 393, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 441, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 923, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1104, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 638, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 548, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 258, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 538, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 129, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 114, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 345, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 38, check)
    call createCurrent(P_G0, P_s, P_sAnti, 83, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 295, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1062, check)
    call createCurrent(P_cAnti, P_G0, P_c, 1014, check)
    call createCurrent(P_H, P_b, P_bAnti, 449, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 672, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 391, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 855, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1080, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 888, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 782, check)
    call createCurrent(P_A, P_A, 1113, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 986, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 186, check)
    call createCurrent(P_Z, P_H, P_G0, 100, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 499, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 825, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 180, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 658, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 24, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1121, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 932, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1181, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 889, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 333, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 244, check)
    call createCurrent(P_cAnti, P_c, P_H, 269, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 830, check)
    call createCurrent(P_tAnti, P_t, P_G0, 159, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 806, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 871, check)
    call createCurrent(P_s, P_sAnti, P_g, 552, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 351, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 906, check)
    call createCurrent(P_s, P_G0, P_sAnti, 684, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 473, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 90, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 217, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 218, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 876, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 722, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 819, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 847, check)
    call createCurrent(P_u, P_uAnti, P_g, 665, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 439, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1043, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 326, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 695, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 951, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 257, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 563, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 524, check)
    call createCurrent(P_Z, P_G0, 1128, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 496, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 57, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 420, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 854, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 147, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 582, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 1036, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 691, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 704, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 838, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 718, check)
    call createCurrent(P_WPlus, P_GMinus, 1111, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 0, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 918, check)
    call createCurrent(P_uAnti, P_g, P_u, 292, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 1024, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 779, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1203, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 92, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 86, check)
    call createCurrent(P_H, P_A, P_A, 1189, check)
    call createCurrent(P_G0, P_A, 1086, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 13, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 618, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 443, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 957, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 207, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 15, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 1004, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 237, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 529, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 712, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1169, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 431, check)
    call createCurrent(P_b, P_H, P_bAnti, 315, check)
    call createCurrent(P_H, P_c, P_cAnti, 1011, check)
    call createCurrent(P_tAnti, P_A, P_t, 153, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 762, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1133, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 539, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 28, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 823, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1155, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 627, check)
    call createCurrent(P_u, P_Z, P_uAnti, 686, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 629, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 648, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1201, check)
    call createCurrent(P_H, P_Z, P_A, 1044, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 611, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 205, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1092, check)
    call createCurrent(P_s, P_sAnti, P_A, 677, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1195, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 64, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 213, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 343, check)
    call createCurrent(P_dAnti, P_d, P_G0, 34, check)
  end subroutine fill_current_1
end module currents_info1
