!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 09:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_3475) = coupl(nGC_3088)*dZee + coupl(nGC_3089)*dcw_
    coupl(nGC_5664) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3469)
    coupl(nGC_5669) = coupl(nGC_3471) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_3364) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3270) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_276)*coupl(   &
                      nGC_51) - coupl(nGC_1064)*coupl(nGC_200)*coupl(nGC_47) - &
                      coupl(nGC_196)*coupl(nGC_348)*coupl(nGC_47) - coupl(     &
                      nGC_20)*coupl(nGC_25)*coupl(nGC_50) + 6d0*coupl(nGC_200)*&
                      coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25)*coupl(   &
                      nGC_348)*coupl(nGC_51) - coupl(nGC_25)*coupl(nGC_52)*    &
                      coupl(nGC_818))/(32d0*pi**2d0)
    coupl(nGC_5466) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_3273) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_1064)*coupl&
                      (nGC_39)*coupl(nGC_73) + coupl(nGC_196)*coupl(nGC_2)*    &
                      coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_76 &
                      ) + coupl(nGC_23)*coupl(nGC_75)*coupl(nGC_818) + 8d0*    &
                      coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl(nGC_34 &
                      )*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(     &
                      nGC_58)*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59)*coupl&
                      (nGC_75))/(32d0*pi**2d0)
    coupl(nGC_3274) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3275) = (-coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_61) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(nGC_1064)*coupl&
                      (nGC_34)*coupl(nGC_61) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_63) -    &
                      coupl(nGC_23)*coupl(nGC_602)*coupl(nGC_64) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(nGC_39)*coupl&
                      (nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(nGC_85)*    &
                      coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*coupl(nGC_86 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3276) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3277) = (-coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_85) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_1064)*coupl&
                      (nGC_38)*coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_88) -    &
                      coupl(nGC_23)*coupl(nGC_818)*coupl(nGC_87) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_35)*coupl&
                      (nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_62)*    &
                      coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3362) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3193) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_20)*coupl(nGC_978) - cMH**2d0*cima*coupl(nGC_21&
                      )*coupl(nGC_818) - 4d0*cMM**2d0*cima*coupl(nGC_69)**2d0  &
                       - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - cMW**2d0*cima*&
                      coupl(nGC_1064)**2d0 - cMW**2d0*cima*coupl(nGC_196)**2d0 &
                       - cMW**2d0*cima*coupl(nGC_20)*coupl(nGC_978) - cMW**2d0*&
                      cima*coupl(nGC_21)*coupl(nGC_818) - 2d0*cMW**2d0*cima*   &
                      coupl(nGC_22)*coupl(nGC_602) - cMW**2d0*cima*coupl(nGC_4 &
                      )**2d0 - cMW**2d0*cima*coupl(nGC_40)**2d0 - 8d0*cMW**2d0*&
                      coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_1064)**2d0 - 2d0*&
                      cMZ**2d0*cima*coupl(nGC_22)*coupl(nGC_602) - cMZ**2d0*   &
                      cima*coupl(nGC_40)**2d0 - 4d0*cMZ**2d0*coupl(nGC_45) +   &
                      8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*coupl(nGC_51)**2d0&
                      )/(64d0*pi**2d0)
    coupl(nGC_5906) = coupl(nGC_1)*dZbL + coupl(nGC_38)*dZZA/2d0
    coupl(nGC_3361) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_200 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +    &
                      coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3409) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 +   &
                      coupl(nGC_63)**2d0 + coupl(nGC_75)**2d0 + coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3408) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0 -  &
                      coupl(nGC_63)**2d0 - coupl(nGC_75)**2d0 - coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0)
    coupl(nGC_3407) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_62)*coupl(nGC_64) + coupl(nGC_74)*   &
                      coupl(nGC_76) + coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_3406) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_58)*coupl(  &
                      nGC_60) - coupl(nGC_62)*coupl(nGC_64) - coupl(nGC_74)*   &
                      coupl(nGC_76) - coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0)
    coupl(nGC_3403) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_57)**2d0 +   &
                      coupl(nGC_61)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3402) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_57)**2d0 -  &
                      coupl(nGC_61)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_5027) = coupl(nGC_3508) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_3246) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3241) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) -  &
                      8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - 8d0*cME*    &
                      coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0*coupl(    &
                      nGC_83) + 4d0*cima*coupl(nGC_316)*coupl(nGC_50) - coupl( &
                      nGC_20)*coupl(nGC_348)*coupl(nGC_51) - coupl(nGC_21)*    &
                      coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_3)**2d0*coupl(&
                      nGC_50) - coupl(nGC_3)*coupl(nGC_51)*coupl(nGC_818) + 6d0&
                      *coupl(nGC_348)**2d0*coupl(nGC_50) - coupl(nGC_348)*coupl&
                      (nGC_51)*coupl(nGC_978))/(32d0*pi**2d0)
    coupl(nGC_5029) = coupl(nGC_3510) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_5028) = coupl(nGC_3505) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_3243) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3242) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_200)**2d0*    &
                      coupl(nGC_3) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_4) -    &
                      11d0*coupl(nGC_3)*coupl(nGC_348)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5801) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_5803) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_5802) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5804) = coupl(nGC_3563) + coupl(nGC_5802)
    coupl(nGC_5204) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3465)
    coupl(nGC_5208) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3474) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_3490) = coupl(nGC_3140)*dZee + coupl(nGC_3141)*dsw_ + coupl(     &
                      nGC_3142)*dcw_
    coupl(nGC_5585) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_9557) = -coupl(nGC_3242)
    coupl(nGC_5586) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_5938) = coupl(nGC_3489) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_eL
    coupl(nGC_5935) = coupl(nGC_3464) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_3218) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_3335) = coupl(nGC_11)**2d0*sq2**2d0*(-cMC*coupl(nGC_59) - cMD*   &
                      coupl(nGC_63) - cMS*coupl(nGC_75) - cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0)
    coupl(nGC_6640) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3439)
    coupl(nGC_5894) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_5895) = coupl(nGC_3558) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_3336) = coupl(nGC_11)**2d0*sq2**2d0*(cMC*coupl(nGC_59) + cMD*    &
                      coupl(nGC_63) + cMS*coupl(nGC_75) + cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0*Nc)
    coupl(nGC_3363) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +     &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_61)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4982) = coupl(nGC_4974) + coupl(nGC_4980)
    coupl(nGC_4981) = coupl(nGC_4979) + coupl(nGC_4980)
    coupl(nGC_5293) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_3441)
    coupl(nGC_5294) = -coupl(nGC_5293)
    coupl(nGC_5096) = coupl(nGC_3461) + coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_3208) = cima*(coupl(nGC_200)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_5778) = coupl(nGC_3565) + coupl(nGC_5772)
    coupl(nGC_3201) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_200)*  &
                      coupl(nGC_348) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl( &
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_3200) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3  &
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_348)**2d0 - 2d0*cMW &
                      **2d0*coupl(nGC_316))/(16d0*pi**2d0)
    coupl(nGC_3203) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_200)*coupl(nGC_348) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0*cMW**2d0*coupl(&
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_3202) = cima*(coupl(nGC_200)*coupl(nGC_348) + coupl(nGC_25)*coupl&
                      (nGC_3))/(48d0*pi**2d0)
    coupl(nGC_3205) = cima*(coupl(nGC_200)**2d0 + coupl(nGC_25)**2d0 + coupl(  &
                      nGC_3)**2d0 + coupl(nGC_348)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3204) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_200)**2d0 - &
                      2d0*coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(nGC_3&
                      )**2d0 - coupl(nGC_348)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3207) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - coupl(nGC_200)**2d0 - coupl(nGC_25)**2d0 - 2d0*    &
                      coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl( &
                      nGC_41)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5099) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3452)
    coupl(nGC_4915) = coupl(nGC_3447) + coupl(nGC_4)*dZA/2d0
    coupl(nGC_4916) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_4917) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_5580) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_5581) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_5582) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5422) = coupl(nGC_3486) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_5421) = coupl(nGC_3485) + coupl(nGC_35)*dZZ/2d0
    coupl(nGC_5420) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_4918) = coupl(nGC_4915) + coupl(nGC_4917)
    coupl(nGC_4919) = coupl(nGC_4915) + coupl(nGC_4916)
    coupl(nGC_5424) = coupl(nGC_5197) + coupl(nGC_5422)
    coupl(nGC_3443) = coupl(nGC_3109)*dZee + coupl(nGC_3110)*dsw_ + coupl(     &
                      nGC_3111)*dcw_
    coupl(nGC_3442) = coupl(nGC_3079)*dZee
    coupl(nGC_3446) = coupl(nGC_3177)*dZee + coupl(nGC_3178)*dsw_ + coupl(     &
                      nGC_3179)*dcw_
    coupl(nGC_3445) = coupl(nGC_3118)*dZee + coupl(nGC_3119)*dsw_ + coupl(     &
                      nGC_3120)*dcw_
    coupl(nGC_3444) = coupl(nGC_3095)*dZee + coupl(nGC_3096)*dsw_
    coupl(nGC_3449) = coupl(nGC_3121)*dsw_ + coupl(nGC_3122)*dMW2 + coupl(     &
                      nGC_3123)*dZee
    coupl(nGC_3448) = coupl(nGC_3092)*dMW2 + coupl(nGC_3093)*dZee
    coupl(nGC_7299) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_3529) = coupl(nGC_3065)*dye_QED1
    coupl(nGC_7293) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_3520) = coupl(nGC_3076)*dydo_QED1
    coupl(nGC_3293) = (-coupl(nGC_1064)*coupl(nGC_36)*coupl(nGC_81) - coupl(   &
                      nGC_196)*coupl(nGC_4)*coupl(nGC_81) - coupl(nGC_22)*coupl&
                      (nGC_23)*coupl(nGC_82) - coupl(nGC_23)*coupl(nGC_83)*    &
                      coupl(nGC_978) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(  &
                      nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3290) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_1064)*coupl&
                      (nGC_39)*coupl(nGC_61) + coupl(nGC_196)*coupl(nGC_2)*    &
                      coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_63 &
                      ) + coupl(nGC_23)*coupl(nGC_602)*coupl(nGC_62) + 8d0*    &
                      coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl(nGC_34 &
                      )*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_62)*coupl(     &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85)*coupl&
                      (nGC_87))/(32d0*pi**2d0)
    coupl(nGC_5144) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3444)
    coupl(nGC_5145) = -2d0*coupl(nGC_5144)
    coupl(nGC_5062) = coupl(nGC_3544) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
    coupl(nGC_5148) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_5065) = coupl(nGC_3549) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_5064) = coupl(nGC_3546) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_6468) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_6469) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_3292) = (coupl(nGC_1064)*coupl(nGC_41)*coupl(nGC_69) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_23)*coupl&
                      (nGC_602)*coupl(nGC_70) + coupl(nGC_36)*coupl(nGC_40)*   &
                      coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_3521) = coupl(nGC_3076)*dydo_QED3
    coupl(nGC_7295) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_5499) = coupl(nGC_3528) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_5559) = coupl(nGC_3521) + coupl(nGC_5555)
    coupl(nGC_5558) = coupl(nGC_3520) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_5494) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_5495) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_5395) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5394) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_5397) = coupl(nGC_3523) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_5396) = coupl(nGC_3522) + coupl(nGC_5395)
    coupl(nGC_5254) = coupl(nGC_3511) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_5256) = coupl(nGC_3513) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_5398) = coupl(nGC_3524) + coupl(nGC_5394)
    coupl(nGC_5844) = coupl(nGC_3560) + coupl(nGC_MH)*dZH
    coupl(nGC_6923) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6922) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_6921) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_5190) = coupl(nGC_3478) + coupl(nGC_46)*dZZ
    coupl(nGC_6927) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_6924) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5199) = coupl(nGC_3485) + coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)* &
                      dZtR
    coupl(nGC_5198) = coupl(nGC_3486) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)* &
                      dZtL
    coupl(nGC_9644) = -coupl(nGC_3235)
    coupl(nGC_4959) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_4957) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZbL/2d0 +    &
                      coupl(nGC_23)*dZtL/2d0 + coupl(nGC_3484)
    coupl(nGC_3230) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3547) = coupl(nGC_3066)*dyc_QED1_QCD2
    coupl(nGC_3399) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3398) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**  &
                      2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3226) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_5474) = coupl(nGC_3554) + coupl(nGC_5466)
    coupl(nGC_3393) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**  &
                      2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3391) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl( &
                      nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3390) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**  &
                      2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3397) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3396) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**  &
                      2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3394) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl( &
                      nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3271) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_1064)*coupl&
                      (nGC_35)*coupl(nGC_57) + coupl(nGC_196)*coupl(nGC_2)*    &
                      coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_59 &
                      ) + coupl(nGC_23)*coupl(nGC_60)*coupl(nGC_602) + 8d0*    &
                      coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl(nGC_38 &
                      )*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*coupl(     &
                      nGC_73)*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73)*coupl&
                      (nGC_74))/(32d0*pi**2d0)
    coupl(nGC_5100) = -coupl(nGC_5099)
    coupl(nGC_3366) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3367) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5779) = coupl(nGC_3566) + coupl(nGC_5773)
    coupl(nGC_3365) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +     &
                      coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_65)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3249) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(nGC_61)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3248) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_348))/(32d0*pi**2d0)
    coupl(nGC_3360) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5473) = coupl(nGC_3553) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_3244) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3247) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl( &
                      nGC_67)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5770) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_5777) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_5776) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_3368) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70)*coupl(&
                      nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3369) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_7859) = coupl(nGC_MI)*dZbL
    coupl(nGC_3419) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(192d0*pi**2d0)
    coupl(nGC_3414) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +   &
                      coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39)**&
                      2d0)/(48d0*pi**2d0)
    coupl(nGC_3415) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 -  &
                      coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39)**&
                      2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_7539) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5467) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7538) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_5030) = coupl(nGC_3507) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_5033) = coupl(nGC_3489) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_muL
    coupl(nGC_6394) = coupl(nGC_3517) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54)*&
                      dZbR/2d0
    coupl(nGC_6395) = coupl(nGC_3518) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56)*&
                      dZbR/2d0
    coupl(nGC_5038) = coupl(nGC_3527) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5477) = -coupl(nGC_5204)
    coupl(nGC_9467) = -coupl(nGC_3236)
    coupl(nGC_3279) = (-coupl(nGC_1064)*coupl(nGC_36)*coupl(nGC_65) - coupl(   &
                      nGC_196)*coupl(nGC_4)*coupl(nGC_65) - coupl(nGC_20)*coupl&
                      (nGC_23)*coupl(nGC_67) - coupl(nGC_23)*coupl(nGC_602)*   &
                      coupl(nGC_68) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(   &
                      32d0*pi**2d0)
    coupl(nGC_5359) = coupl(nGC_3529) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_5358) = coupl(nGC_3530) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_5771) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_5472) = coupl(nGC_3552) + coupl(nGC_5467)
    coupl(nGC_4855) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3483)
    coupl(nGC_4857) = coupl(nGC_4850) + coupl(nGC_4855)
    coupl(nGC_4856) = coupl(nGC_4854) + coupl(nGC_4855)
    coupl(nGC_3301) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4997) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3475) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_4993) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3484)
    coupl(nGC_3303) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3359) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(     &
                      nGC_59)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3357) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*coupl(     &
                      nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3355) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_200 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +    &
                      coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3354) = coupl(nGC_23)*(-coupl(nGC_200)*coupl(nGC_41) - coupl(    &
                      nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) + coupl&
                      (nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3353) = coupl(nGC_23)*(coupl(nGC_200)*coupl(nGC_40) + coupl(     &
                      nGC_25)*coupl(nGC_41) + coupl(nGC_348)*coupl(nGC_4) +    &
                      coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3352) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*coupl&
                      (nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_200)**2d0*  &
                      coupl(nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) -  &
                      12d0*coupl(nGC_23)**2d0*coupl(nGC_41) - 11d0*coupl(nGC_25&
                      )*coupl(nGC_348)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3350) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_348) - coupl(      &
                      nGC_200)*coupl(nGC_39) - coupl(nGC_25)*coupl(nGC_38) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_6024) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_6025) = coupl(nGC_MI)*dZtR
    coupl(nGC_6023) = coupl(nGC_MI)*dZtL
    coupl(nGC_4923) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3463) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_6467) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_3322) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67)**3d0  &
                       + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(nGC_83)** &
                      3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*   &
                      coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_1656)*coupl(     &
                      nGC_37)*coupl(nGC_48) - coupl(nGC_1656)*coupl(nGC_37)*   &
                      coupl(nGC_52) + coupl(nGC_20)*coupl(nGC_48)*coupl(nGC_978&
                      ) - coupl(nGC_20)*coupl(nGC_50)*coupl(nGC_978) + coupl(  &
                      nGC_21)*coupl(nGC_48)*coupl(nGC_818) - coupl(nGC_21)*    &
                      coupl(nGC_50)*coupl(nGC_818))/(32d0*pi**2d0)
    coupl(nGC_3323) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*  &
                      cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl( &
                      nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)**  &
                      2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl( &
                      nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) -  &
                      4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl(&
                      nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) +   &
                      2d0*cima*coupl(nGC_372)*coupl(nGC_52) + 6d0*coupl(nGC_200&
                      )**2d0*coupl(nGC_50) - coupl(nGC_200)*coupl(nGC_21)*coupl&
                      (nGC_47) - coupl(nGC_200)*coupl(nGC_47)*coupl(nGC_818) - &
                      coupl(nGC_21)*coupl(nGC_348)*coupl(nGC_51) + 6d0*coupl(  &
                      nGC_25)**2d0*coupl(nGC_52) + 6d0*coupl(nGC_348)**2d0*    &
                      coupl(nGC_50) - coupl(nGC_348)*coupl(nGC_51)*coupl(      &
                      nGC_818))/(32d0*pi**2d0)
    coupl(nGC_3320) = (-coupl(nGC_1656)*coupl(nGC_39)*coupl(nGC_87) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_23)*coupl(nGC_602 &
                      )*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_88   &
                      ) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(   &
                      nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_5598) = coupl(nGC_3489) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_tauL
    coupl(nGC_3326) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*  &
                      cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*  &
                      cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl( &
                      nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)** &
                      2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl( &
                      nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                      nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) -  &
                      8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS*&
                      coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*  &
                      coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(     &
                      nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)** &
                      2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl( &
                      nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(  &
                      nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) -  &
                      8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl(&
                      nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(     &
                      nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0* &
                      coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0&
                      *cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl( &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(    &
                      nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_372)*    &
                      coupl(nGC_50) - coupl(nGC_20)*coupl(nGC_200)*coupl(nGC_47&
                      ) + 6d0*coupl(nGC_200)**2d0*coupl(nGC_50) - coupl(nGC_200&
                      )*coupl(nGC_47)*coupl(nGC_978) - coupl(nGC_21)*coupl(    &
                      nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25)**2d0*coupl(    &
                      nGC_50) - coupl(nGC_25)*coupl(nGC_47)*coupl(nGC_818))/(  &
                      32d0*pi**2d0)
    coupl(nGC_3327) = (-coupl(nGC_1656)*coupl(nGC_39)*coupl(nGC_58) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_23)*coupl(nGC_57)*&
                      coupl(nGC_818) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_58&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59) - coupl&
                      (nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_58)**2d0&
                      *coupl(nGC_59) - coupl(nGC_59)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5436) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3452) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_5437) = -coupl(nGC_5436)
    coupl(nGC_3450) = coupl(nGC_3124)*dsw_ + coupl(nGC_3125)*dMW2 + coupl(     &
                      nGC_3126)*dZee
    coupl(nGC_3453) = coupl(nGC_3127)*dsw_ + coupl(nGC_3128)*dMW2 + coupl(     &
                      nGC_3129)*dZee
    coupl(nGC_3454) = coupl(nGC_3130)*dZee + coupl(nGC_3131)*dsw_ + coupl(     &
                      nGC_3132)*dMZ2
    coupl(nGC_3456) = coupl(nGC_3091)*dlam_QED2
    coupl(nGC_3457) = coupl(nGC_3146)*dlam_QED2
    coupl(nGC_3519) = coupl(nGC_3076)*dydo_QED1_QCD2
    coupl(nGC_7977) = -coupl(nGC_7976)
    coupl(nGC_3515) = coupl(nGC_3086)*dys_QED1
    coupl(nGC_3514) = coupl(nGC_3086)*dys_QED1_QCD2
    coupl(nGC_3516) = coupl(nGC_3086)*dys_QED3
    coupl(nGC_5171) = coupl(nGC_4915) + coupl(nGC_5170)
    coupl(nGC_5172) = coupl(nGC_4915) + coupl(nGC_5169)
    coupl(nGC_3388) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_5077) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_3484)
    coupl(nGC_5648) = coupl(nGC_3540) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_3213) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_39)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9110) = coupl(nGC_3460) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_3195) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_67&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_20)*coupl(nGC_978) - cMW**2d0*cima*coupl(nGC_21)*    &
                      coupl(nGC_818) - 2d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*  &
                      cima*coupl(nGC_1656)*coupl(nGC_37) - cMZ**2d0*coupl(     &
                      nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl(nGC_52&
                      )**2d0)/(16d0*pi**2d0)
    coupl(nGC_3194) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)** &
                      2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)** &
                      2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)** &
                      2d0 + coupl(nGC_1656)*coupl(nGC_37) + coupl(nGC_20)*coupl&
                      (nGC_978) + coupl(nGC_21)*coupl(nGC_818) + 4d0*coupl(    &
                      nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83 &
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_3197) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0*cima* &
                      coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*coupl(&
                      nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(nGC_66)* &
                      coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_1656)*coupl(     &
                      nGC_37) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(nGC_72   &
                      ) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84) - 4d0*&
                      cMW**2d0*cima*coupl(nGC_22)*coupl(nGC_602) - 4d0*cMW**2d0&
                      *coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_1656)*coupl(    &
                      nGC_37) - 2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**2d0)
    coupl(nGC_3196) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + coupl(nGC_1656)*coupl(nGC_37) + 2d0*coupl(nGC_22)*   &
                      coupl(nGC_602) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*  &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_5647) = coupl(nGC_3543) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_5646) = coupl(nGC_3538) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_5645) = coupl(nGC_3541) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_3192) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)** &
                      2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)** &
                      2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)** &
                      2d0 + coupl(nGC_1064)**2d0 + coupl(nGC_196)**2d0 + coupl(&
                      nGC_20)*coupl(nGC_978) + coupl(nGC_21)*coupl(nGC_818) +  &
                      2d0*coupl(nGC_22)*coupl(nGC_602) + coupl(nGC_4)**2d0 +   &
                      coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl( &
                      nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi**2d0)
    coupl(nGC_5315) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5317) = coupl(nGC_4915) + coupl(nGC_5316)
    coupl(nGC_3433) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2318) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2324) - 40d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_6200) = coupl(nGC_3567) + coupl(nGC_6194)
    coupl(nGC_6201) = coupl(nGC_3568) + coupl(nGC_6195)
    coupl(nGC_3289) = (coupl(nGC_1064)*coupl(nGC_41)*coupl(nGC_65) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_23)*coupl&
                      (nGC_602)*coupl(nGC_66) + coupl(nGC_36)*coupl(nGC_40)*   &
                      coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_3288) = (-coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_73) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(nGC_1064)*coupl&
                      (nGC_34)*coupl(nGC_73) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_74) -    &
                      coupl(nGC_23)*coupl(nGC_75)*coupl(nGC_978) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(nGC_39)*coupl&
                      (nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_59)*    &
                      coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_74 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5263) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3466)
    coupl(nGC_4892) = coupl(nGC_13)*dZH + coupl(nGC_3457)
    coupl(nGC_4895) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3484)
    coupl(nGC_5858) = -coupl(nGC_5854)
    coupl(nGC_5850) = coupl(nGC_3478) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_6930) = coupl(nGC_3571) + coupl(nGC_6924)
    coupl(nGC_5187) = coupl(nGC_3472) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_3240) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) - 4d0*Nc*cMS*   &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - 4d0*cME*coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0*cME*coupl(nGC_4 &
                      )*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM*coupl(nGC_36)*   &
                      coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl(nGC_4)*coupl( &
                      nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_36)*coupl(    &
                      nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(nGC_4)*coupl(nGC_40&
                      )*coupl(nGC_83) + 4d0*cima*coupl(nGC_29)*coupl(nGC_50) - &
                      coupl(nGC_20)*coupl(nGC_200)*coupl(nGC_51) + 6d0*coupl(  &
                      nGC_200)*coupl(nGC_348)*coupl(nGC_50) - coupl(nGC_21)*   &
                      coupl(nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_25)*coupl(   &
                      nGC_3)*coupl(nGC_50) - coupl(nGC_3)*coupl(nGC_47)*coupl( &
                      nGC_818) - coupl(nGC_348)*coupl(nGC_47)*coupl(nGC_978))/(&
                      32d0*pi**2d0)
    coupl(nGC_3525) = coupl(nGC_3063)*dyb_QED1
    coupl(nGC_4969) = coupl(nGC_3479) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
    coupl(nGC_4806) = coupl(nGC_3442) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_4807) = -coupl(nGC_4805)/2d0 + coupl(nGC_4806)
    coupl(nGC_5137) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3443)
    coupl(nGC_5569) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3443)
    coupl(nGC_5138) = -coupl(nGC_5137)
    coupl(nGC_5200) = coupl(nGC_5197) + coupl(nGC_5199)
    coupl(nGC_3422) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2318) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2324) - 20d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_5688) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3446)
    coupl(nGC_3312) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_1656)*  &
                      coupl(nGC_38)*coupl(nGC_75) - coupl(nGC_23)*coupl(nGC_602&
                      )*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74   &
                      ) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - coupl(   &
                      nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*coupl(   &
                      nGC_76))/(32d0*pi**2d0)
    coupl(nGC_5443) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3439)
    coupl(nGC_3310) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_1656)*  &
                      coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75) -    &
                      coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(nGC_74 &
                      )*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76)**2d0  &
                      )/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
