!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 09:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_3317) = (coupl(nGC_1656)*coupl(nGC_40)*coupl(nGC_83) + coupl(    &
                      nGC_23)*coupl(nGC_602)*coupl(nGC_81) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82&
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5444) = -coupl(nGC_5443)
    coupl(nGC_3315) = (-coupl(nGC_1656)*coupl(nGC_39)*coupl(nGC_79) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_23)*coupl(nGC_602 &
                      )*coupl(nGC_77) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80   &
                      ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(   &
                      nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3314) = (-coupl(nGC_1656)*coupl(nGC_35)*coupl(nGC_79) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79) -    &
                      coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(nGC_78 &
                      )**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5282) = coupl(nGC_3490) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_5281) = coupl(nGC_3473) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_3318) = (-coupl(nGC_1656)*coupl(nGC_35)*coupl(nGC_87) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87) -    &
                      coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(nGC_86 &
                      )**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(nGC_88   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5284) = coupl(nGC_4832) + coupl(nGC_5281)
    coupl(nGC_3429) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2324)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2322)*sq2**2d0  &
                       + 15d0*coupl(nGC_10)**2d0*coupl(nGC_2324)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_5088) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3477) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_5121) = coupl(nGC_3532) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_3423) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_2322)**2d0 + &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2322)*sq2**2d0 + 24d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_5125) = coupl(nGC_3577) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_5896) = coupl(nGC_5894) + coupl(nGC_5895)
    coupl(nGC_5082) = coupl(nGC_3536) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_3425) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*  &
                      coupl(nGC_12)*coupl(nGC_2324) + 3d0*Nc*cima*coupl(       &
                      nGC_2322)*coupl(nGC_2324) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2322)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2324)*sq2**2d0 - 2d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(192d0*pi**2d0*Nc)
    coupl(nGC_3424) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2324) + 12d0*Nc*cima*coupl(      &
                      nGC_2322)*coupl(nGC_2324) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2318)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_2322)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_2324)*sq2**2d0 - 8d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(768d0*pi**2d0*Nc)
    coupl(nGC_3427) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_2322) +  &
                      3d0*cima*coupl(nGC_2322)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(   &
                      nGC_2322)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_3426) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_2324) + 6d0*Nc*cima*coupl(       &
                      nGC_2322)*coupl(nGC_2324) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2318)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2322)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2324)*sq2**2d0 - 4d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_6008) = 2d0*coupl(nGC_6003)
    coupl(nGC_6004) = -2d0*coupl(nGC_6003)
    coupl(nGC_5588) = coupl(nGC_3573) + coupl(nGC_5582)
    coupl(nGC_6007) = -coupl(nGC_6003)
    coupl(nGC_5690) = -coupl(nGC_5687)/2d0 + coupl(nGC_5688)
    coupl(nGC_5201) = coupl(nGC_5197) + coupl(nGC_5198)
    coupl(nGC_4907) = coupl(nGC_4904) + coupl(nGC_4905)
    coupl(nGC_5009) = -coupl(nGC_5008)
    coupl(nGC_3302) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_1656)*  &
                      coupl(nGC_34)*coupl(nGC_63) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_63) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_62 &
                      )*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(nGC_64)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_9662) = -coupl(nGC_3352)
    coupl(nGC_3304) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_1656)*  &
                      coupl(nGC_38)*coupl(nGC_63) - coupl(nGC_23)*coupl(nGC_602&
                      )*coupl(nGC_61) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) - coupl(   &
                      nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0*coupl(   &
                      nGC_64))/(32d0*pi**2d0)
    coupl(nGC_6082) = coupl(nGC_4855) + coupl(nGC_6079)
    coupl(nGC_3307) = (coupl(nGC_1656)*coupl(nGC_40)*coupl(nGC_67) + coupl(    &
                      nGC_23)*coupl(nGC_602)*coupl(nGC_65) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(nGC_66&
                      )*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3308) = (coupl(nGC_1656)*coupl(nGC_36)*coupl(nGC_71) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_70) -  &
                      coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71)**2d0*   &
                      coupl(nGC_72))/(32d0*pi**2d0)
    coupl(nGC_3309) = (coupl(nGC_1656)*coupl(nGC_40)*coupl(nGC_71) + coupl(    &
                      nGC_23)*coupl(nGC_602)*coupl(nGC_69) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(nGC_70&
                      )*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5454) = coupl(nGC_3534) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_5453) = coupl(nGC_3533) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_3283) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl(nGC_1064)*coupl( &
                      nGC_200)*coupl(nGC_21) + coupl(nGC_1656)*coupl(nGC_40)*  &
                      coupl(nGC_602) - 6d0*coupl(nGC_196)*coupl(nGC_21)*coupl( &
                      nGC_348) + coupl(nGC_22)**2d0*coupl(nGC_818) + 4d0*coupl(&
                      nGC_23)*coupl(nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)* &
                      coupl(nGC_69)*coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(   &
                      nGC_81)*coupl(nGC_83) - 6d0*coupl(nGC_25)*coupl(nGC_37)* &
                      coupl(nGC_602) + coupl(nGC_818)*coupl(nGC_978)**2d0)/(   &
                      96d0*pi**2d0)
    coupl(nGC_3282) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl(nGC_1064)*coupl( &
                      nGC_200)*coupl(nGC_602) - 6d0*coupl(nGC_1656)*coupl(     &
                      nGC_21)*coupl(nGC_25) - 6d0*coupl(nGC_196)*coupl(nGC_348 &
                      )*coupl(nGC_602) + coupl(nGC_21)*coupl(nGC_37)*coupl(    &
                      nGC_40) + coupl(nGC_22)**3d0 + coupl(nGC_22)*coupl(      &
                      nGC_978)**2d0 + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(   &
                      nGC_68) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_72   &
                      ) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_84))/(96d0*&
                      pi**2d0)
    coupl(nGC_5342) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3468)
    coupl(nGC_5343) = -coupl(nGC_5342)
    coupl(nGC_5223) = coupl(nGC_4855) + coupl(nGC_5217)
    coupl(nGC_5222) = coupl(nGC_4855) + coupl(nGC_5221)
    coupl(nGC_4868) = coupl(nGC_3525) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_4869) = coupl(nGC_4867) + coupl(nGC_4868)
    coupl(nGC_7441) = -coupl(nGC_5529)
    coupl(nGC_5815) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3462) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_3339) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1656)*  &
                      coupl(nGC_38)*coupl(nGC_76) - coupl(nGC_23)*coupl(nGC_73 &
                      )*coupl(nGC_978) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75   &
                      ) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(   &
                      nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3338) = (coupl(nGC_1656)*coupl(nGC_36)*coupl(nGC_72) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_71) -  &
                      coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(nGC_72)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_5423) = coupl(nGC_5197) + coupl(nGC_5421)
    coupl(nGC_3334) = (coupl(nGC_1656)*coupl(nGC_36)*coupl(nGC_68) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_67) -  &
                      coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(nGC_68)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3337) = (coupl(nGC_1656)*coupl(nGC_40)*coupl(nGC_70) + coupl(    &
                      nGC_23)*coupl(nGC_69)*coupl(nGC_818) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(nGC_71&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3331) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1656)*  &
                      coupl(nGC_34)*coupl(nGC_62) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_62) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_62 &
                      )**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3330) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1656)*  &
                      coupl(nGC_38)*coupl(nGC_64) - coupl(nGC_23)*coupl(nGC_61 &
                      )*coupl(nGC_978) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(   &
                      nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3333) = (coupl(nGC_1656)*coupl(nGC_40)*coupl(nGC_66) + coupl(    &
                      nGC_23)*coupl(nGC_65)*coupl(nGC_818) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(nGC_67&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3306) = (coupl(nGC_1656)*coupl(nGC_36)*coupl(nGC_67) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_66) -  &
                      coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67)**2d0*   &
                      coupl(nGC_68))/(32d0*pi**2d0)
    coupl(nGC_6083) = coupl(nGC_4855) + coupl(nGC_6077)
    coupl(nGC_6026) = coupl(nGC_3569) + coupl(nGC_6024)
    coupl(nGC_5337) = coupl(nGC_5335) + coupl(nGC_5336)
    coupl(nGC_6188) = -coupl(nGC_6187)
    coupl(nGC_3298) = (-coupl(nGC_1656)*coupl(nGC_35)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_59) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) - coupl(nGC_58 &
                      )**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0*coupl(nGC_60   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3296) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_1656)*  &
                      coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54 &
                      )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_3297) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_1656)*  &
                      coupl(nGC_38)*coupl(nGC_55) - coupl(nGC_23)*coupl(nGC_53 &
                      )*coupl(nGC_602) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) - coupl(   &
                      nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*coupl(   &
                      nGC_56))/(32d0*pi**2d0)
    coupl(nGC_3294) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*  &
                      cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                      cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl( &
                      nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)*  &
                      coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl(&
                      nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                      nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc*cMS&
                      *coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*cMS* &
                      coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(     &
                      nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)*  &
                      coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)*  &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl(&
                      nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl( &
                      nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0 +  &
                      4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME*coupl&
                      (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*coupl(    &
                      nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70)**2d0* &
                      coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(nGC_71)*    &
                      coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 &
                       + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*&
                      coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*    &
                      coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + &
                      coupl(nGC_1656)**2d0*coupl(nGC_48) + coupl(nGC_1656)*    &
                      coupl(nGC_37)*coupl(nGC_49) - coupl(nGC_1656)*coupl(     &
                      nGC_37)*coupl(nGC_52) + 2d0*coupl(nGC_22)*coupl(nGC_48)* &
                      coupl(nGC_602) - 2d0*coupl(nGC_22)*coupl(nGC_50)*coupl(  &
                      nGC_602) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0*pi**  &
                      2d0)
    coupl(nGC_3295) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(nGC_35)*coupl(&
                      nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_59&
                      )*coupl(nGC_60) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_78)*    &
                      coupl(nGC_79) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_79)*coupl(&
                      nGC_80) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87&
                      ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) +   &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc&
                      *coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(&
                      nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_59&
                      )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_78)*    &
                      coupl(nGC_79) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(&
                      nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87&
                      ) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) +   &
                      coupl(nGC_1064)*coupl(nGC_602)*coupl(nGC_978) + coupl(   &
                      nGC_1656)**3d0 - 6d0*coupl(nGC_20)*coupl(nGC_200)*coupl( &
                      nGC_22) - 6d0*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_25   &
                      ) - 4d0*coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + 4d0* &
                      coupl(nGC_36)*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(   &
                      nGC_36)*coupl(nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)* &
                      coupl(nGC_71)*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(   &
                      nGC_82)*coupl(nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)* &
                      coupl(nGC_84) + coupl(nGC_40)*coupl(nGC_602)*coupl(      &
                      nGC_818) + 4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67  &
                      ) - 4d0*coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + 4d0* &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(   &
                      nGC_40)*coupl(nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_40)* &
                      coupl(nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(   &
                      nGC_83)*coupl(nGC_84))/(96d0*pi**2d0)
    coupl(nGC_5539) = coupl(nGC_4980) + coupl(nGC_5536)
    coupl(nGC_5538) = coupl(nGC_4980) + coupl(nGC_5537)
    coupl(nGC_4841) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3484)
    coupl(nGC_4847) = coupl(nGC_3473) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_5063) = coupl(nGC_3547) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_4848) = -coupl(nGC_4847)
    coupl(nGC_3328) = (-coupl(nGC_1656)*coupl(nGC_35)*coupl(nGC_60) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_60) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_59 &
                      )**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3300) = (-coupl(nGC_1656)*coupl(nGC_39)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_60) - coupl(nGC_23)*coupl(nGC_57)*&
                      coupl(nGC_602) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_59&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_60) - coupl&
                      (nGC_57)*coupl(nGC_73)*coupl(nGC_76) - coupl(nGC_58)*    &
                      coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(nGC_60)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3324) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1656)*  &
                      coupl(nGC_38)*coupl(nGC_56) - coupl(nGC_23)*coupl(nGC_53 &
                      )*coupl(nGC_978) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(   &
                      nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3325) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1656)*  &
                      coupl(nGC_34)*coupl(nGC_54) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_54 &
                      )**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3344) = (coupl(nGC_1656)*coupl(nGC_40)*coupl(nGC_82) + coupl(    &
                      nGC_23)*coupl(nGC_81)*coupl(nGC_818) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3345) = (coupl(nGC_1656)*coupl(nGC_36)*coupl(nGC_84) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) -  &
                      coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3346) = (-coupl(nGC_1656)*coupl(nGC_39)*coupl(nGC_86) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_23)*coupl(nGC_818 &
                      )*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87   &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3347) = (-coupl(nGC_1656)*coupl(nGC_35)*coupl(nGC_88) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88) -    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_87 &
                      )**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3340) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1656)*  &
                      coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74) -    &
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_74 &
                      )**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3342) = (-coupl(nGC_1656)*coupl(nGC_39)*coupl(nGC_78) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_23)*coupl(nGC_77)*&
                      coupl(nGC_818) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_78&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79) - coupl&
                      (nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_78)**2d0&
                      *coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3343) = (-coupl(nGC_1656)*coupl(nGC_35)*coupl(nGC_80) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80) -    &
                      coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_79 &
                      )**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5522) = coupl(nGC_3473) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_5523) = coupl(nGC_3490) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_5487) = coupl(nGC_4855) + coupl(nGC_5483)
    coupl(nGC_5486) = coupl(nGC_4855) + coupl(nGC_5481)
    coupl(nGC_5870) = -coupl(nGC_5263)
    coupl(nGC_4834) = coupl(nGC_3473) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_4833) = coupl(nGC_3490) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_4932) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3445)
    coupl(nGC_4933) = coupl(nGC_4931) - coupl(nGC_4932)/2d0
    coupl(nGC_3316) = (coupl(nGC_1656)*coupl(nGC_36)*coupl(nGC_83) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) -  &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84))/(32d0*pi**2d0)
    coupl(nGC_6470) = coupl(nGC_3564) + coupl(nGC_6468)
    coupl(nGC_5557) = coupl(nGC_3519) + coupl(nGC_5556)
    coupl(nGC_5318) = coupl(nGC_4915) + coupl(nGC_5315)
    coupl(nGC_5043) = coupl(nGC_3535) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_5587) = coupl(nGC_3572) + coupl(nGC_5581)
    coupl(nGC_5255) = coupl(nGC_3516) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_7078) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3456)
    coupl(nGC_5253) = coupl(nGC_3514) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_3262) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*cMB&
                      *coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cMB* &
                      coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*   &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl(&
                      nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(  &
                      nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*&
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*  &
                      coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(     &
                      nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*   &
                      coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)** &
                      2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl( &
                      nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(  &
                      nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) +  &
                      4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl(&
                      nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +   &
                      8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*coupl(   &
                      nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*coupl(    &
                      nGC_8) + coupl(nGC_1064)**2d0*coupl(nGC_48) - coupl(     &
                      nGC_1064)*coupl(nGC_21)*coupl(nGC_47) - coupl(nGC_1064)* &
                      coupl(nGC_47)*coupl(nGC_818) - coupl(nGC_1656)*coupl(    &
                      nGC_22)*coupl(nGC_47) + coupl(nGC_196)**2d0*coupl(nGC_48 &
                      ) - coupl(nGC_196)*coupl(nGC_21)*coupl(nGC_51) - coupl(  &
                      nGC_196)*coupl(nGC_51)*coupl(nGC_818) + coupl(nGC_20)*   &
                      coupl(nGC_21)*coupl(nGC_48) - coupl(nGC_20)*coupl(nGC_50 &
                      )*coupl(nGC_978) + coupl(nGC_21)*coupl(nGC_49)*coupl(    &
                      nGC_818) + coupl(nGC_22)*coupl(nGC_48)*coupl(nGC_602) -  &
                      coupl(nGC_22)*coupl(nGC_50)*coupl(nGC_602) - coupl(nGC_37&
                      )*coupl(nGC_47)*coupl(nGC_602) - coupl(nGC_40)**2d0*coupl&
                      (nGC_52) + coupl(nGC_48)*coupl(nGC_818)*coupl(nGC_978))/(&
                      32d0*pi**2d0)
    coupl(nGC_3267) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1064)*coupl(     &
                      nGC_1656)*coupl(nGC_602) - 6d0*coupl(nGC_20)*coupl(nGC_25&
                      )*coupl(nGC_40) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(  &
                      nGC_4) - 6d0*coupl(nGC_200)*coupl(nGC_37)*coupl(nGC_602  &
                      ) + coupl(nGC_22)**2d0*coupl(nGC_978) - 4d0*coupl(nGC_23 &
                      )*coupl(nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl( &
                      nGC_69)*coupl(nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)* &
                      coupl(nGC_83) + coupl(nGC_818)**2d0*coupl(nGC_978))/(96d0&
                      *pi**2d0)
    coupl(nGC_3266) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                      nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl( &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - &
                      4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(  &
                      nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl( &
                      nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)**2d0 + &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(  &
                      nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl( &
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)**2d0 + &
                      coupl(nGC_1064)**2d0*coupl(nGC_40) + coupl(nGC_1656)*    &
                      coupl(nGC_602)*coupl(nGC_818) + coupl(nGC_196)**2d0*coupl&
                      (nGC_40) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_978 &
                      ) + coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_37) - 6d0*coupl&
                      (nGC_22)*coupl(nGC_25)*coupl(nGC_602) + 4d0*coupl(nGC_36 &
                      )*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_69)** &
                      2d0 + 4d0*coupl(nGC_36)*coupl(nGC_81)**2d0 - 4d0*coupl(  &
                      nGC_41)*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_41)*coupl(    &
                      nGC_69)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_81)**2d0)/(   &
                      96d0*pi**2d0)
    coupl(nGC_3265) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_86) + coupl(nGC_1064)*coupl(     &
                      nGC_20)*coupl(nGC_37) - 6d0*coupl(nGC_1656)*coupl(nGC_20 &
                      )*coupl(nGC_200) + coupl(nGC_22)**3d0 + coupl(nGC_22)*   &
                      coupl(nGC_818)**2d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)*   &
                      coupl(nGC_66) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(   &
                      nGC_70) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_82   &
                      ) - 6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_602) - 6d0*&
                      coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_602))/(96d0*pi**2d0)
    coupl(nGC_10046) = -coupl(nGC_3267)
    coupl(nGC_6572) = coupl(nGC_3578) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_6929) = coupl(nGC_3570) + coupl(nGC_6923)
    coupl(nGC_8455) = coupl(nGC_3579) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_6378) = -coupl(nGC_5187)
    coupl(nGC_4808) = coupl(nGC_4805) - 2d0*coupl(nGC_4806)
    coupl(nGC_5570) = -coupl(nGC_5569)
    coupl(nGC_5122) = coupl(nGC_3531) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_3428) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_2324)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2318)*sq2**  &
                      2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2322)*sq2**2d0 +  &
                      33d0*coupl(nGC_10)**2d0*coupl(nGC_2324)*sq2**2d0)/(384d0*&
                      pi**2d0)
    coupl(nGC_5103) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3450)
    coupl(nGC_9238) = -coupl(nGC_3283)
    coupl(nGC_6301) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3443)
    coupl(nGC_5908) = coupl(nGC_4943) + coupl(nGC_5906)
    coupl(nGC_9246) = -coupl(nGC_3282)
    coupl(nGC_5689) = coupl(nGC_5687) - 2d0*coupl(nGC_5688)
    coupl(nGC_5044) = coupl(nGC_5042) + coupl(nGC_5043)
    coupl(nGC_4835) = coupl(nGC_4832) + coupl(nGC_4833)
    coupl(nGC_10172) = -coupl(nGC_3295)
    coupl(nGC_9383) = -coupl(nGC_3265)
    coupl(nGC_4836) = coupl(nGC_4832) + coupl(nGC_4834)
    coupl(nGC_5524) = coupl(nGC_4832) + coupl(nGC_5523)
    coupl(nGC_5525) = coupl(nGC_4832) + coupl(nGC_5522)
    coupl(nGC_6302) = -coupl(nGC_6301)
    coupl(nGC_5283) = coupl(nGC_4832) + coupl(nGC_5282)
    coupl(nGC_5083) = coupl(nGC_5081) + coupl(nGC_5082)
    coupl(nGC_4934) = -2d0*coupl(nGC_4931) + coupl(nGC_4932)
    coupl(nGC_9418) = -coupl(nGC_3266)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
