!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 09:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(1161)%branchR2(0:1))
    call avR2(1161, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3408])

    call avR2(1161, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3409])

    allocate(vertices(1052)%branchR2(0:0))
    call avR2(1052, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3253])

    allocate(vertices(1162)%branchR2(0:1))
    call avR2(1162, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1162, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(341)%branchR2(0:0))
    call avR2(341, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3239, nGC_3238])

    allocate(vertices(1089)%branchR2(0:0))
    call avR2(1089, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3227])

    allocate(vertices(389)%branchR2(0:0))
    call avR2(389, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3246, nGC_3247])

    allocate(vertices(261)%branchR2(0:1))
    call avR2(261, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3332, nGC_3332])

    call avR2(261, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3330, nGC_3331])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3279])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(448)%branchR2(0:0))
    call avR2(448, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3353])

    allocate(vertices(353)%branchR2(0:0))
    call avR2(353, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3354])

    allocate(vertices(854)%branchR2(0:0))
    call avR2(854, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(490)%branchR2(0:1))
    call avR2(490, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3350])

    call avR2(490, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3351])

    allocate(vertices(1118)%branchR2(0:0))
    call avR2(1118, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3227])

    allocate(vertices(987)%branchR2(0:0))
    call avR2(987, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(717)%branchR2(0:0))
    call avR2(717, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3268, nGC_3269])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3280])

    allocate(vertices(1163)%branchR2(0:1))
    call avR2(1163, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1163, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(707)%branchR2(0:3))
    call avR2(707, 0, 36, 1, 0, FVFa1, 0, [1, 2], [nGC_3389, nGC_3388])

    call avR2(707, 1, 36, 1, 0, FVFa1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(707, 2, 37, 1, 0, FVFa1, 0, [1, 2], [nGC_3387, nGC_3386])

    call avR2(707, 3, 37, 1, 0, FVFa1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(1164)%branchR2(0:1))
    call avR2(1164, 0, 45, 1, 0, VSV0, 0, [2, 1], [nGC_3335])

    call avR2(1164, 1, 46, 1, 0, VSV0, 0, [2, 1], [nGC_3336])

    allocate(vertices(999)%branchR2(0:0))
    call avR2(999, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3349])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3326])

    allocate(vertices(446)%branchR2(0:0))
    call avR2(446, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3295])

    allocate(vertices(567)%branchR2(0:0))
    call avR2(567, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3237])

    allocate(vertices(86)%branchR2(0:0))
    call avR2(86, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3283])

    allocate(vertices(571)%branchR2(0:1))
    call avR2(571, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(571, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(1113)%branchR2(0:0))
    call avR2(1113, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_3199, nGC_3198, nGC_3200])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3371])

    allocate(vertices(579)%branchR2(0:0))
    call avR2(579, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3289])

    allocate(vertices(1097)%branchR2(0:0))
    call avR2(1097, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9467])

    allocate(vertices(61)%branchR2(0:1))
    call avR2(61, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3363, nGC_3361])

    call avR2(61, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3364, nGC_3362])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(375)%branchR2(0:0))
    call avR2(375, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3266])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9383])

    allocate(vertices(729)%branchR2(0:0))
    call avR2(729, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(37)%branchR2(0:0))
    call avR2(37, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3292])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3314, nGC_3315])

    allocate(vertices(1165)%branchR2(0:1))
    call avR2(1165, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1165, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3326])

    allocate(vertices(546)%branchR2(0:1))
    call avR2(546, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3275, nGC_3277])

    call avR2(546, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3276, nGC_3278])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3281])

    allocate(vertices(589)%branchR2(0:1))
    call avR2(589, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(589, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(978)%branchR2(0:1))
    call avR2(978, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(978, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(135)%branchR2(0:0))
    call avR2(135, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3370])

    allocate(vertices(1130)%branchR2(0:0))
    call avR2(1130, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3253])

    allocate(vertices(1166)%branchR2(0:5))
    call avR2(1166, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    call avR2(1166, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1166, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1166, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1166, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3421, nGC_3421,        &
    nGC_3421])

    call avR2(1166, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    allocate(vertices(769)%branchR2(0:1))
    call avR2(769, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(769, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(545)%branchR2(0:0))
    call avR2(545, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3371])

    allocate(vertices(159)%branchR2(0:0))
    call avR2(159, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3314, nGC_3315])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(726)%branchR2(0:0))
    call avR2(726, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(1167)%branchR2(0:1))
    call avR2(1167, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3408])

    call avR2(1167, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3409])

    allocate(vertices(148)%branchR2(0:0))
    call avR2(148, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3283])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(199)%branchR2(0:0))
    call avR2(199, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(1168)%branchR2(0:1))
    call avR2(1168, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3404, nGC_3404,        &
    nGC_3404])

    call avR2(1168, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3405, nGC_3405,        &
    nGC_3405])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(554)%branchR2(0:0))
    call avR2(554, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3375, nGC_3374])

    allocate(vertices(1054)%branchR2(0:0))
    call avR2(1054, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3253])

    allocate(vertices(424)%branchR2(0:0))
    call avR2(424, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3281])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(368)%branchR2(0:0))
    call avR2(368, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3267])

    allocate(vertices(1020)%branchR2(0:1))
    call avR2(1020, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(1020, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(932)%branchR2(0:0))
    call avR2(932, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3283])

    allocate(vertices(454)%branchR2(0:0))
    call avR2(454, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3353])

    allocate(vertices(508)%branchR2(0:1))
    call avR2(508, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3363, nGC_3361])

    call avR2(508, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3364, nGC_3362])

    allocate(vertices(1169)%branchR2(0:1))
    call avR2(1169, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3402])

    call avR2(1169, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3403])

    allocate(vertices(421)%branchR2(0:0))
    call avR2(421, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(372)%branchR2(0:0))
    call avR2(372, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3353])

    allocate(vertices(440)%branchR2(0:1))
    call avR2(440, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(440, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3244, nGC_3243])

    allocate(vertices(912)%branchR2(0:0))
    call avR2(912, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9662])

    allocate(vertices(190)%branchR2(0:0))
    call avR2(190, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(70)%branchR2(0:0))
    call avR2(70, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3295])

    allocate(vertices(181)%branchR2(0:3))
    call avR2(181, 0, 36, 1, 0, FVFa1, 0, [1, 2], [nGC_3399, nGC_3398])

    call avR2(181, 1, 36, 1, 0, FVFa1, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(181, 2, 37, 1, 0, FVFa1, 0, [1, 2], [nGC_3397, nGC_3396])

    call avR2(181, 3, 37, 1, 0, FVFa1, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(621)%branchR2(0:0))
    call avR2(621, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3353])

    allocate(vertices(1170)%branchR2(0:1))
    call avR2(1170, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3408])

    call avR2(1170, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3409])

    allocate(vertices(851)%branchR2(0:1))
    call avR2(851, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3348, nGC_3348])

    call avR2(851, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3346, nGC_3347])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3226&
    , nGC_3226])

    allocate(vertices(370)%branchR2(0:0))
    call avR2(370, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(796)%branchR2(0:23))
    call avR2(796, 0, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_3423, nGC_3423, nGC_3422])

    call avR2(796, 1, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_3423, nGC_3423, nGC_3422])

    call avR2(796, 2, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_3434, nGC_3436, nGC_3435])

    call avR2(796, 3, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_3431, nGC_3433, nGC_3432])

    call avR2(796, 4, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_3434, nGC_3436, nGC_3435])

    call avR2(796, 5, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_3431, nGC_3433, nGC_3432])

    call avR2(796, 6, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3424, nGC_3424&
    ])

    call avR2(796, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3424, nGC_3426&
    ])

    call avR2(796, 8, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_3427, nGC_3428, nGC_3428&
    ])

    call avR2(796, 9, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3426, nGC_3424&
    ])

    call avR2(796, 10, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_3429, nGC_3430,        &
    nGC_3427])

    call avR2(796, 11, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_3428, nGC_3427,        &
    nGC_3428])

    call avR2(796, 12, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3426,        &
    nGC_3425])

    call avR2(796, 13, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3426,        &
    nGC_3425])

    call avR2(796, 14, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3426,        &
    nGC_3424])

    call avR2(796, 15, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3424,        &
    nGC_3426])

    call avR2(796, 16, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3424,        &
    nGC_3424])

    call avR2(796, 17, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(796, 18, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(796, 19, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(796, 20, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_3438, nGC_3438,       &
    nGC_3438])

    call avR2(796, 21, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(796, 22, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(796, 23, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    allocate(vertices(319)%branchR2(0:0))
    call avR2(319, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3268, nGC_3269])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3309, nGC_3308])

    allocate(vertices(233)%branchR2(0:1))
    call avR2(233, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3363, nGC_3361])

    call avR2(233, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3364, nGC_3362])

    allocate(vertices(1129)%branchR2(0:0))
    call avR2(1129, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3193, nGC_3192])

    allocate(vertices(990)%branchR2(0:0))
    call avR2(990, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3293])

    allocate(vertices(624)%branchR2(0:1))
    call avR2(624, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(624, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(852)%branchR2(0:3))
    call avR2(852, 0, 34, 1, 0, FaFV1, 0, [1, 2], [nGC_3389, nGC_3388])

    call avR2(852, 1, 34, 1, 0, FaFV1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(852, 2, 35, 1, 0, FaFV1, 0, [1, 2], [nGC_3387, nGC_3386])

    call avR2(852, 3, 35, 1, 0, FaFV1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(1171)%branchR2(0:1))
    call avR2(1171, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3410, nGC_3410,        &
    nGC_3410])

    call avR2(1171, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3411, nGC_3411,        &
    nGC_3411])

    allocate(vertices(276)%branchR2(0:1))
    call avR2(276, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3350])

    call avR2(276, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3351])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3350])

    allocate(vertices(711)%branchR2(0:1))
    call avR2(711, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(711, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(253)%branchR2(0:1))
    call avR2(253, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3250, nGC_3250])

    call avR2(253, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3249, nGC_3248])

    allocate(vertices(1072)%branchR2(0:0))
    call avR2(1072, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3240])

    allocate(vertices(1039)%branchR2(0:0))
    call avR2(1039, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3255])

    allocate(vertices(131)%branchR2(0:0))
    call avR2(131, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(1172)%branchR2(0:1))
    call avR2(1172, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3406])

    call avR2(1172, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3407])

    allocate(vertices(938)%branchR2(0:0))
    call avR2(938, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(897)%branchR2(0:1))
    call avR2(897, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3349])

    call avR2(897, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3351])

    allocate(vertices(521)%branchR2(0:0))
    call avR2(521, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3266])

    allocate(vertices(273)%branchR2(0:0))
    call avR2(273, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3246, nGC_3247])

    allocate(vertices(539)%branchR2(0:0))
    call avR2(539, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3280])

    allocate(vertices(436)%branchR2(0:0))
    call avR2(436, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3370])

    allocate(vertices(677)%branchR2(0:1))
    call avR2(677, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3257, nGC_3256])

    call avR2(677, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3250, nGC_3250])

    allocate(vertices(901)%branchR2(0:1))
    call avR2(901, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3339, nGC_3340])

    call avR2(901, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3341, nGC_3341])

    allocate(vertices(973)%branchR2(0:0))
    call avR2(973, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3259, nGC_3258])

    allocate(vertices(1173)%branchR2(0:1))
    call avR2(1173, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3402])

    call avR2(1173, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3403])

    allocate(vertices(1044)%branchR2(0:0))
    call avR2(1044, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3240])

    allocate(vertices(662)%branchR2(0:3))
    call avR2(662, 0, 32, 1, 0, FaVF1, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(662, 1, 32, 1, 0, FaVF1, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(662, 2, 33, 1, 0, FaVF1, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(662, 3, 33, 1, 0, FaVF1, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(10)%branchR2(0:0))
    call avR2(10, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3282])

    allocate(vertices(83)%branchR2(0:1))
    call avR2(83, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(83, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(745)%branchR2(0:0))
    call avR2(745, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10046])

    allocate(vertices(1103)%branchR2(0:0))
    call avR2(1103, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3227])

    allocate(vertices(35)%branchR2(0:0))
    call avR2(35, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3370])

    allocate(vertices(129)%branchR2(0:0))
    call avR2(129, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3282])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3280])

    allocate(vertices(1174)%branchR2(0:5))
    call avR2(1174, 0, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    call avR2(1174, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1174, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1174, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1174, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3421, nGC_3421,        &
    nGC_3421])

    call avR2(1174, 5, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3234])

    allocate(vertices(350)%branchR2(0:3))
    call avR2(350, 0, 36, 1, 0, FVFa1, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(350, 1, 36, 1, 0, FVFa1, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(350, 2, 37, 1, 0, FVFa1, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(350, 3, 37, 1, 0, FVFa1, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(8)%branchR2(0:0))
    call avR2(8, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(494)%branchR2(0:1))
    call avR2(494, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3264, nGC_3263])

    call avR2(494, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3245, nGC_3245])

    allocate(vertices(113)%branchR2(0:0))
    call avR2(113, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(151)%branchR2(0:0))
    call avR2(151, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3371])

    allocate(vertices(304)%branchR2(0:0))
    call avR2(304, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3353])

    allocate(vertices(474)%branchR2(0:0))
    call avR2(474, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3279])

    allocate(vertices(481)%branchR2(0:0))
    call avR2(481, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3279])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3309, nGC_3308])

    allocate(vertices(831)%branchR2(0:0))
    call avR2(831, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(505)%branchR2(0:1))
    call avR2(505, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3264, nGC_3263])

    call avR2(505, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3245, nGC_3245])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3353])

    allocate(vertices(760)%branchR2(0:0))
    call avR2(760, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3353])

    allocate(vertices(1046)%branchR2(0:0))
    call avR2(1046, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3240])

    allocate(vertices(688)%branchR2(0:1))
    call avR2(688, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3350])

    call avR2(688, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3351])

    allocate(vertices(395)%branchR2(0:0))
    call avR2(395, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3286, nGC_3285])

    allocate(vertices(1175)%branchR2(0:1))
    call avR2(1175, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3402])

    call avR2(1175, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3403])

    allocate(vertices(911)%branchR2(0:1))
    call avR2(911, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(911, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(411)%branchR2(0:0))
    call avR2(411, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(603)%branchR2(0:0))
    call avR2(603, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3242])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9418])

    allocate(vertices(1087)%branchR2(0:1))
    call avR2(1087, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3191, nGC_3190, nGC_3215&
    , nGC_3215])

    call avR2(1087, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3216&
    , nGC_3216])

    allocate(vertices(89)%branchR2(0:0))
    call avR2(89, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3254])

    allocate(vertices(637)%branchR2(0:0))
    call avR2(637, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3295])

    allocate(vertices(511)%branchR2(0:1))
    call avR2(511, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(511, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(1176)%branchR2(0:1))
    call avR2(1176, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3402])

    call avR2(1176, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3403])

    allocate(vertices(407)%branchR2(0:0))
    call avR2(407, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3369])

    allocate(vertices(44)%branchR2(0:1))
    call avR2(44, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3349])

    call avR2(44, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3351])

    allocate(vertices(744)%branchR2(0:0))
    call avR2(744, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(1059)%branchR2(0:0))
    call avR2(1059, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3195, nGC_3194])

    allocate(vertices(712)%branchR2(0:0))
    call avR2(712, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(132)%branchR2(0:0))
    call avR2(132, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3281])

    allocate(vertices(290)%branchR2(0:1))
    call avR2(290, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3346, nGC_3347])

    call avR2(290, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3348, nGC_3348])

    allocate(vertices(40)%branchR2(0:1))
    call avR2(40, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3298, nGC_3300])

    call avR2(40, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3299, nGC_3301])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(510)%branchR2(0:0))
    call avR2(510, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3314, nGC_3315])

    allocate(vertices(1177)%branchR2(0:1))
    call avR2(1177, 0, 47, 1, 0, VVS0, 0, [2, 1], [nGC_3335])

    call avR2(1177, 1, 48, 1, 0, VVS0, 0, [2, 1], [nGC_3336])

    allocate(vertices(1092)%branchR2(0:0))
    call avR2(1092, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3254])

    allocate(vertices(501)%branchR2(0:1))
    call avR2(501, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3349])

    call avR2(501, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3351])

    allocate(vertices(1178)%branchR2(0:1))
    call avR2(1178, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3410, nGC_3410,        &
    nGC_3410])

    call avR2(1178, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3411, nGC_3411,        &
    nGC_3411])

    allocate(vertices(684)%branchR2(0:1))
    call avR2(684, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(684, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(178)%branchR2(0:1))
    call avR2(178, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3350])

    call avR2(178, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3351])

    allocate(vertices(69)%branchR2(0:0))
    call avR2(69, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3292])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3404, nGC_3404,        &
    nGC_3404])

    call avR2(1179, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3405, nGC_3405,        &
    nGC_3405])

    allocate(vertices(703)%branchR2(0:1))
    call avR2(703, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(703, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3371])

    allocate(vertices(1041)%branchR2(0:0))
    call avR2(1041, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3255])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3309, nGC_3308])

    allocate(vertices(264)%branchR2(0:1))
    call avR2(264, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(264, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(915)%branchR2(0:0))
    call avR2(915, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3242])

    allocate(vertices(1115)%branchR2(0:0))
    call avR2(1115, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3191, nGC_3190, nGC_3189&
    , nGC_3189])

    allocate(vertices(329)%branchR2(0:0))
    call avR2(329, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10172])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3255])

    allocate(vertices(357)%branchR2(0:0))
    call avR2(357, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3369])

    allocate(vertices(929)%branchR2(0:0))
    call avR2(929, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3237])

    allocate(vertices(613)%branchR2(0:1))
    call avR2(613, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(613, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9467])

    allocate(vertices(343)%branchR2(0:0))
    call avR2(343, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9238])

    allocate(vertices(138)%branchR2(0:0))
    call avR2(138, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(500)%branchR2(0:1))
    call avR2(500, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3341, nGC_3341])

    call avR2(500, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3339, nGC_3340])

    allocate(vertices(100)%branchR2(0:0))
    call avR2(100, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10172])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3402])

    call avR2(1180, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3403])

    allocate(vertices(1018)%branchR2(0:1))
    call avR2(1018, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(1018, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3244, nGC_3243])

    allocate(vertices(758)%branchR2(0:0))
    call avR2(758, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3353])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3292])

    allocate(vertices(1125)%branchR2(0:0))
    call avR2(1125, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3253])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3234])

    allocate(vertices(663)%branchR2(0:1))
    call avR2(663, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3298, nGC_3300])

    call avR2(663, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3299, nGC_3301])

    allocate(vertices(140)%branchR2(0:0))
    call avR2(140, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3259, nGC_3258])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3197, nGC_3196])

    allocate(vertices(1032)%branchR2(0:1))
    call avR2(1032, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3250, nGC_3250])

    call avR2(1032, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3249, nGC_3248])

    allocate(vertices(30)%branchR2(0:1))
    call avR2(30, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3249, nGC_3248])

    call avR2(30, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3250, nGC_3250])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(263)%branchR2(0:1))
    call avR2(263, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3330, nGC_3331])

    call avR2(263, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3332, nGC_3332])

    allocate(vertices(162)%branchR2(0:1))
    call avR2(162, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3332, nGC_3332])

    call avR2(162, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3330, nGC_3331])

    allocate(vertices(1181)%branchR2(0:1))
    call avR2(1181, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3402])

    call avR2(1181, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3403])

    allocate(vertices(73)%branchR2(0:0))
    call avR2(73, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3375, nGC_3374])

    allocate(vertices(245)%branchR2(0:1))
    call avR2(245, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3298, nGC_3300])

    call avR2(245, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3299, nGC_3301])

    allocate(vertices(210)%branchR2(0:1))
    call avR2(210, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3360, nGC_3358])

    call avR2(210, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3379, nGC_3378])

    allocate(vertices(144)%branchR2(0:0))
    call avR2(144, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3354])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3296, nGC_3297])

    allocate(vertices(875)%branchR2(0:1))
    call avR2(875, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(875, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(558)%branchR2(0:0))
    call avR2(558, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3353])

    allocate(vertices(782)%branchR2(0:0))
    call avR2(782, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(1121)%branchR2(0:0))
    call avR2(1121, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3227])

    allocate(vertices(20)%branchR2(0:1))
    call avR2(20, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(20, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(161)%branchR2(0:0))
    call avR2(161, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3354])

    allocate(vertices(966)%branchR2(0:1))
    call avR2(966, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(966, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1182, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(449)%branchR2(0:0))
    call avR2(449, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_3208, nGC_3207, nGC_3209])

    allocate(vertices(924)%branchR2(0:0))
    call avR2(924, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9662])

    allocate(vertices(439)%branchR2(0:0))
    call avR2(439, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3354])

    allocate(vertices(863)%branchR2(0:0))
    call avR2(863, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(107)%branchR2(0:1))
    call avR2(107, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3273, nGC_3271])

    call avR2(107, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3274, nGC_3272])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3350])

    allocate(vertices(1183)%branchR2(0:0))
    call avR2(1183, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3241])

    allocate(vertices(1005)%branchR2(0:1))
    call avR2(1005, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3341, nGC_3341])

    call avR2(1005, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3339, nGC_3340])

    allocate(vertices(400)%branchR2(0:0))
    call avR2(400, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3296, nGC_3297])

    allocate(vertices(95)%branchR2(0:1))
    call avR2(95, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3273, nGC_3271])

    call avR2(95, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3274, nGC_3272])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3349])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3234])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3354])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3406])

    call avR2(1184, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3407])

    allocate(vertices(588)%branchR2(0:1))
    call avR2(588, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3275, nGC_3277])

    call avR2(588, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3276, nGC_3278])

    allocate(vertices(900)%branchR2(0:0))
    call avR2(900, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3289])

    allocate(vertices(946)%branchR2(0:1))
    call avR2(946, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3339, nGC_3340])

    call avR2(946, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3341, nGC_3341])

    allocate(vertices(930)%branchR2(0:0))
    call avR2(930, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3289])

    allocate(vertices(944)%branchR2(0:0))
    call avR2(944, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3270])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3296, nGC_3297])

    allocate(vertices(680)%branchR2(0:1))
    call avR2(680, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3346, nGC_3347])

    call avR2(680, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3348, nGC_3348])

    allocate(vertices(1185)%branchR2(0:5))
    call avR2(1185, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    call avR2(1185, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1185, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1185, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3421, nGC_3421,        &
    nGC_3421])

    call avR2(1185, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1185, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    allocate(vertices(453)%branchR2(0:0))
    call avR2(453, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(1077)%branchR2(0:0))
    call avR2(1077, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3254])

    allocate(vertices(28)%branchR2(0:0))
    call avR2(28, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3353])

    allocate(vertices(279)%branchR2(0:1))
    call avR2(279, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3350])

    call avR2(279, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3351])

    allocate(vertices(1109)%branchR2(0:1))
    call avR2(1109, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3191, nGC_3190, nGC_3229&
    , nGC_3229])

    call avR2(1109, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3228&
    , nGC_3228])

    allocate(vertices(294)%branchR2(0:0))
    call avR2(294, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3370])

    allocate(vertices(634)%branchR2(0:0))
    call avR2(634, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3292])

    allocate(vertices(156)%branchR2(0:0))
    call avR2(156, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(1067)%branchR2(0:0))
    call avR2(1067, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3214, nGC_3213, nGC_3230&
    , nGC_3230])

    allocate(vertices(242)%branchR2(0:1))
    call avR2(242, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(242, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3235])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(331)%branchR2(0:0))
    call avR2(331, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(380)%branchR2(0:0))
    call avR2(380, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10172])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3338, nGC_3337])

    allocate(vertices(1053)%branchR2(0:0))
    call avR2(1053, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_3202, nGC_3201, nGC_3203])

    allocate(vertices(779)%branchR2(0:0))
    call avR2(779, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3323])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3408])

    call avR2(1186, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3409])

    allocate(vertices(585)%branchR2(0:1))
    call avR2(585, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(585, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3264, nGC_3263])

    allocate(vertices(189)%branchR2(0:0))
    call avR2(189, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3352])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9557])

    allocate(vertices(423)%branchR2(0:1))
    call avR2(423, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(423, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(1023)%branchR2(0:0))
    call avR2(1023, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3270])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3402])

    call avR2(1187, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3403])

    allocate(vertices(1106)%branchR2(0:0))
    call avR2(1106, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3240])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3353])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1188, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(625)%branchR2(0:1))
    call avR2(625, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(625, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(160)%branchR2(0:0))
    call avR2(160, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3354])

    allocate(vertices(656)%branchR2(0:0))
    call avR2(656, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(993)%branchR2(0:1))
    call avR2(993, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(993, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(1189)%branchR2(0:0))
    call avR2(1189, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3241])

    allocate(vertices(278)%branchR2(0:0))
    call avR2(278, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(345)%branchR2(0:0))
    call avR2(345, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(262)%branchR2(0:3))
    call avR2(262, 0, 40, 1, 0, VFFa0, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(262, 1, 40, 1, 0, VFFa0, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(262, 2, 41, 1, 0, VFFa0, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(262, 3, 41, 1, 0, VFFa0, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9644])

    allocate(vertices(686)%branchR2(0:1))
    call avR2(686, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3360, nGC_3358])

    call avR2(686, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3379, nGC_3378])

    allocate(vertices(305)%branchR2(0:1))
    call avR2(305, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(305, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(456)%branchR2(0:0))
    call avR2(456, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3280])

    allocate(vertices(1190)%branchR2(0:5))
    call avR2(1190, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    call avR2(1190, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1190, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1190, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3418, nGC_3418,        &
    nGC_3418])

    call avR2(1190, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1190, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    allocate(vertices(447)%branchR2(0:0))
    call avR2(447, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3353])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(1191)%branchR2(0:1))
    call avR2(1191, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3404, nGC_3404,        &
    nGC_3404])

    call avR2(1191, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3405, nGC_3405,        &
    nGC_3405])

    allocate(vertices(301)%branchR2(0:1))
    call avR2(301, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3332, nGC_3332])

    call avR2(301, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3330, nGC_3331])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3404, nGC_3404,        &
    nGC_3404])

    call avR2(1192, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3405, nGC_3405,        &
    nGC_3405])

    allocate(vertices(874)%branchR2(0:0))
    call avR2(874, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3370])

    allocate(vertices(105)%branchR2(0:3))
    call avR2(105, 0, 34, 1, 0, FaFV1, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(105, 1, 34, 1, 0, FaFV1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(105, 2, 35, 1, 0, FaFV1, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(105, 3, 35, 1, 0, FaFV1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3338, nGC_3337])

    allocate(vertices(355)%branchR2(0:0))
    call avR2(355, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(1040)%branchR2(0:0))
    call avR2(1040, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3255])

    allocate(vertices(574)%branchR2(0:0))
    call avR2(574, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(418)%branchR2(0:0))
    call avR2(418, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10046])

    allocate(vertices(764)%branchR2(0:1))
    call avR2(764, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(764, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3291, nGC_3290])

    allocate(vertices(1035)%branchR2(0:0))
    call avR2(1035, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3352])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(284)%branchR2(0:0))
    call avR2(284, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9644])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3404, nGC_3404,        &
    nGC_3404])

    call avR2(1193, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3405, nGC_3405,        &
    nGC_3405])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10046])

    allocate(vertices(1110)%branchR2(0:0))
    call avR2(1110, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3191, nGC_3190, nGC_3189&
    , nGC_3189])

    allocate(vertices(976)%branchR2(0:0))
    call avR2(976, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3279])

    allocate(vertices(1070)%branchR2(0:1))
    call avR2(1070, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3214, nGC_3213, nGC_3210&
    , nGC_3210])

    call avR2(1070, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3211&
    , nGC_3211])

    allocate(vertices(486)%branchR2(0:0))
    call avR2(486, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(1030)%branchR2(0:1))
    call avR2(1030, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(1030, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3291, nGC_3290])

    allocate(vertices(952)%branchR2(0:1))
    call avR2(952, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(952, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3264, nGC_3263])

    allocate(vertices(15)%branchR2(0:0))
    call avR2(15, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3246, nGC_3247])

    allocate(vertices(927)%branchR2(0:1))
    call avR2(927, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(927, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3244, nGC_3243])

    allocate(vertices(984)%branchR2(0:0))
    call avR2(984, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(859)%branchR2(0:3))
    call avR2(859, 0, 38, 1, 0, VFaF0, 0, [1, 2], [nGC_3399, nGC_3398])

    call avR2(859, 1, 38, 1, 0, VFaF0, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(859, 2, 39, 1, 0, VFaF0, 0, [1, 2], [nGC_3397, nGC_3396])

    call avR2(859, 3, 39, 1, 0, VFaF0, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(646)%branchR2(0:1))
    call avR2(646, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3339, nGC_3340])

    call avR2(646, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3341, nGC_3341])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3404, nGC_3404,        &
    nGC_3404])

    call avR2(1194, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3405, nGC_3405,        &
    nGC_3405])

    allocate(vertices(1047)%branchR2(0:0))
    call avR2(1047, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_3202, nGC_3201, nGC_3203])

    allocate(vertices(452)%branchR2(0:0))
    call avR2(452, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3289])

    allocate(vertices(549)%branchR2(0:1))
    call avR2(549, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3257, nGC_3256])

    call avR2(549, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3250, nGC_3250])

    allocate(vertices(928)%branchR2(0:1))
    call avR2(928, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(928, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(7)%branchR2(0:3))
    call avR2(7, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(7, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(7, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(7, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3410, nGC_3410,        &
    nGC_3410])

    call avR2(1195, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3411, nGC_3411,        &
    nGC_3411])

    allocate(vertices(376)%branchR2(0:0))
    call avR2(376, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(908)%branchR2(0:1))
    call avR2(908, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(908, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(570)%branchR2(0:1))
    call avR2(570, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3329, nGC_3329])

    call avR2(570, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3327, nGC_3328])

    allocate(vertices(964)%branchR2(0:1))
    call avR2(964, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(964, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3264, nGC_3263])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1196, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(399)%branchR2(0:0))
    call avR2(399, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(833)%branchR2(0:1))
    call avR2(833, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3349])

    call avR2(833, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3351])

    allocate(vertices(639)%branchR2(0:0))
    call avR2(639, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3237])

    allocate(vertices(315)%branchR2(0:0))
    call avR2(315, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(72)%branchR2(0:0))
    call avR2(72, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3354])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3296, nGC_3297])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9383])

    allocate(vertices(671)%branchR2(0:1))
    call avR2(671, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(671, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3291, nGC_3290])

    allocate(vertices(811)%branchR2(0:1))
    call avR2(811, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3349])

    call avR2(811, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3351])

    allocate(vertices(340)%branchR2(0:0))
    call avR2(340, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3239, nGC_3238])

    allocate(vertices(1090)%branchR2(0:0))
    call avR2(1090, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3217&
    , nGC_3217])

    allocate(vertices(363)%branchR2(0:0))
    call avR2(363, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3354])

    allocate(vertices(609)%branchR2(0:1))
    call avR2(609, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(609, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(206)%branchR2(0:0))
    call avR2(206, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3282])

    allocate(vertices(250)%branchR2(0:0))
    call avR2(250, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3294])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_3205, nGC_3204, nGC_3206])

    allocate(vertices(1001)%branchR2(0:1))
    call avR2(1001, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(1001, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(581)%branchR2(0:3))
    call avR2(581, 0, 40, 1, 0, VFFa0, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(581, 1, 40, 1, 0, VFFa0, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(581, 2, 41, 1, 0, VFFa0, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(581, 3, 41, 1, 0, VFFa0, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3410, nGC_3410,        &
    nGC_3410])

    call avR2(1197, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3411, nGC_3411,        &
    nGC_3411])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3353])

    allocate(vertices(861)%branchR2(0:0))
    call avR2(861, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3268, nGC_3269])

    allocate(vertices(817)%branchR2(0:1))
    call avR2(817, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(817, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(1116)%branchR2(0:0))
    call avR2(1116, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3255])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3408])

    call avR2(1198, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3409])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3354])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3236])

    allocate(vertices(1051)%branchR2(0:1))
    call avR2(1051, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3191, nGC_3190, nGC_3229&
    , nGC_3229])

    call avR2(1051, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3228&
    , nGC_3228])

    allocate(vertices(338)%branchR2(0:1))
    call avR2(338, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3349])

    call avR2(338, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3351])

    allocate(vertices(936)%branchR2(0:0))
    call avR2(936, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3354])

    allocate(vertices(265)%branchR2(0:0))
    call avR2(265, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9418])

    allocate(vertices(1056)%branchR2(0:1))
    call avR2(1056, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3214, nGC_3213, nGC_3232&
    , nGC_3232])

    call avR2(1056, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3233&
    , nGC_3233])

    allocate(vertices(364)%branchR2(0:0))
    call avR2(364, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3280])

    allocate(vertices(1107)%branchR2(0:0))
    call avR2(1107, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3227])

    allocate(vertices(110)%branchR2(0:3))
    call avR2(110, 0, 40, 1, 0, VFFa0, 0, [1, 2], [nGC_3389, nGC_3388])

    call avR2(110, 1, 40, 1, 0, VFFa0, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(110, 2, 41, 1, 0, VFFa0, 0, [1, 2], [nGC_3387, nGC_3386])

    call avR2(110, 3, 41, 1, 0, VFFa0, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(188)%branchR2(0:1))
    call avR2(188, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(188, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1199, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(553)%branchR2(0:0))
    call avR2(553, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3239, nGC_3238])

    allocate(vertices(127)%branchR2(0:0))
    call avR2(127, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3354])

    allocate(vertices(650)%branchR2(0:0))
    call avR2(650, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3314, nGC_3315])

    allocate(vertices(525)%branchR2(0:1))
    call avR2(525, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_3298, nGC_3300])

    call avR2(525, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_3299, nGC_3301])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3406])

    call avR2(1200, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3407])

    allocate(vertices(1076)%branchR2(0:0))
    call avR2(1076, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3236])

    allocate(vertices(163)%branchR2(0:1))
    call avR2(163, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(163, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(725)%branchR2(0:0))
    call avR2(725, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3370])

    allocate(vertices(25)%branchR2(0:0))
    call avR2(25, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3322])

    allocate(vertices(332)%branchR2(0:0))
    call avR2(332, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3280])

    allocate(vertices(461)%branchR2(0:0))
    call avR2(461, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3371])

    allocate(vertices(476)%branchR2(0:0))
    call avR2(476, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3237])

    allocate(vertices(82)%branchR2(0:0))
    call avR2(82, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(484)%branchR2(0:0))
    call avR2(484, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(1073)%branchR2(0:0))
    call avR2(1073, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3240])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3402])

    call avR2(1201, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3403])

    allocate(vertices(648)%branchR2(0:0))
    call avR2(648, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3408])

    call avR2(1202, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3409])

    allocate(vertices(1068)%branchR2(0:1))
    call avR2(1068, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3214, nGC_3213, nGC_3232&
    , nGC_3232])

    call avR2(1068, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3233&
    , nGC_3233])

    allocate(vertices(537)%branchR2(0:0))
    call avR2(537, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3353])

    allocate(vertices(366)%branchR2(0:1))
    call avR2(366, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3348, nGC_3348])

    call avR2(366, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3346, nGC_3347])

    allocate(vertices(124)%branchR2(0:1))
    call avR2(124, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3327, nGC_3328])

    call avR2(124, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3329, nGC_3329])

    allocate(vertices(1203)%branchR2(0:1))
    call avR2(1203, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1203, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3309, nGC_3308])

    allocate(vertices(269)%branchR2(0:1))
    call avR2(269, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3329, nGC_3329])

    call avR2(269, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3327, nGC_3328])

    allocate(vertices(320)%branchR2(0:1))
    call avR2(320, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(320, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3291, nGC_3290])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3293])

    allocate(vertices(730)%branchR2(0:0))
    call avR2(730, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3284])

    allocate(vertices(164)%branchR2(0:0))
    call avR2(164, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3239, nGC_3238])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3265])

    allocate(vertices(1026)%branchR2(0:1))
    call avR2(1026, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3349])

    call avR2(1026, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3351])

    allocate(vertices(1088)%branchR2(0:0))
    call avR2(1088, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3226&
    , nGC_3226])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9557])

    allocate(vertices(392)%branchR2(0:1))
    call avR2(392, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3275, nGC_3277])

    call avR2(392, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3276, nGC_3278])

    allocate(vertices(1079)%branchR2(0:0))
    call avR2(1079, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3236])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3369])

    allocate(vertices(798)%branchR2(0:3))
    call avR2(798, 0, 40, 1, 0, VFFa0, 0, [1, 2], [nGC_3399, nGC_3398])

    call avR2(798, 1, 40, 1, 0, VFFa0, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(798, 2, 41, 1, 0, VFFa0, 0, [1, 2], [nGC_3397, nGC_3396])

    call avR2(798, 3, 41, 1, 0, VFFa0, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1204, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3353])

    allocate(vertices(855)%branchR2(0:0))
    call avR2(855, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3270])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3406])

    call avR2(1205, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3407])

    allocate(vertices(460)%branchR2(0:1))
    call avR2(460, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3349])

    call avR2(460, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3351])

    allocate(vertices(733)%branchR2(0:0))
    call avR2(733, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(383)%branchR2(0:0))
    call avR2(383, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3235])

    allocate(vertices(1206)%branchR2(0:1))
    call avR2(1206, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3404, nGC_3404,        &
    nGC_3404])

    call avR2(1206, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3405, nGC_3405,        &
    nGC_3405])

    allocate(vertices(575)%branchR2(0:0))
    call avR2(575, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3286, nGC_3285])

    allocate(vertices(1207)%branchR2(0:5))
    call avR2(1207, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    call avR2(1207, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1207, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1207, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1207, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3418, nGC_3418,        &
    nGC_3418])

    call avR2(1207, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    allocate(vertices(1033)%branchR2(0:0))
    call avR2(1033, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3284])

    allocate(vertices(664)%branchR2(0:1))
    call avR2(664, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3273, nGC_3271])

    call avR2(664, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3274, nGC_3272])

    allocate(vertices(1061)%branchR2(0:0))
    call avR2(1061, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3253])

    allocate(vertices(552)%branchR2(0:3))
    call avR2(552, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(552, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(552, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(552, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(896)%branchR2(0:0))
    call avR2(896, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3334, nGC_3333])

  end subroutine fill_vertices_mdl4
end module vertices_info4
